 Welcome to MusicMix

Welcome to...

MusicMix
Broadcast Music Scheduling Software
Version 9.0 Windows
copyright (c) 1989-2006

Jack R. Carter
Carter Consulting Company
1327 W. Abriendo Av.
Pueblo, CO 81004
(719) 545-8202
jcarter@musicmixradio.com

www.MusicMixRadio.com

MusicMix is a powerful, feature-filled program that will make your radio station sound just the way you want it to. The software has been created by radio-programmers who love the business. A lot of it is based on suggestions from folks like you... our users. We are dedicated to continuing to make it user friendly, robust, and relevant to what you need. We hope you like it as much as we do!

MusicMix requires Windows 98 or higher. The Windows print manager controls printers. MusicMix accesses the default printer (which may be selected from inside the program.)

Note to network users...
You may run MusicMix on a network by placing all data files on the server, and then accessing them from any work station. The program software must be installed on every workstation. The software is completely network-aware and allows multiple users.

Note to automation users...
If you're planning to use MusicMix to send log-files to your digital automation system, a good thing to do right away is look in Help for the technical specifications for your specific automation system. It will help you understand the specifics or exceptions that your system requires as you're setting up.

Note to MusicMix Demo users...
If you have received the demo version of MusicMix, it works just like the full system with the following exceptions:
1) You may not add new artists.
2) You may not edit artist names.
3) You'll be limited on the number of different format clocks you may create.

Licensing...
MusicMix software is sold for use at only one radio station. If you have additional stations at your company, discounts are available for the other stations, but new software must be purchased for each. You may back up the software, but you may not provide copies to other stations. MusicMix has a built in time limit for use. You will receive a message well before expiration of this time period, when you must call MusicMix and allow us to verify that your station is a licensed user. You will then receive a code to extend your license.

The Author...
Jack Carter, the author of MusicMix software, is a die-hard radio guy. He is a country and oldies programming consultant, and has been a CHR jock, a program director and a general manager. It was while managing a radio station in Pueblo, Colorado that MusicMix was born. The station needed a "simple music scheduler." Jack was doing computer programming "for fun" so he wrote a little scheduler. Then the jocks said how 'bout adding this or making it do that... Next thing you know, years had passed and MusicMix had become a full-featured program. Jack left radio to devote full time to MusicMix and consulting. The software was completely rewritten and numerous upgrades have followed. Jack writes, markets and supports the program from his home in Pueblo situated on a cliff overlooking the Arkansas River. He also consults country and oldies radio stations around the country, is the fill-in TV weatherman on the local NBC affiliate and occasionally hosts an oldies show on a local station. (You can take the boy out of the radio station, but you can't take the radio station out of the boy). Jack loves talking on the phone to MusicMix stations and making sure that MusicMix is making your station sound the way you want it to.

THANK-YOU!
Thanks to all the MusicMix stations who rely on us for a professional music rotation. Thanks for using our product and thanks for all of your suggestions on how to make it better.

Special thank-You to Dave Moore, former program director of KCCY in Pueblo, CO. Dave ram-rodded every new feature of the program from somewhere in the eighties to the two-thousands by repeatedly subjecting himself to the new un-tested versions. Dave suggested many of the MusicMix features. (And much of the bad stuff that you never saw was booted out by Dave).


 MusicMix Features

MusicMix Features

You make the rules: You decide every aspect of how you want your radio station to sound. There are no predefined tempos, styles, or separations. You run the software. It doesn't run you.

Artist/Title Protection:
Set time-spans before the same artist can repeat (selectable title-by-title for each artist). Set time-spans before the same title by a different artist can repeat (selectable for each title).

In-A-Row Protection:
Limit the number of songs in a row of the same (or different) tempos or gender or style or anything else you define.

Time-Span Protection:
Specify how much time must pass before a certain type of song may play again. (Wait 88 minutes after playing a novelty record before playing another).

Previous Days' Play Protection:
Specify how many days must pass for a title to repeat in the same daypart -- you define the dayparts.

Time-jog Protection:
Be sure that each title moves "around the clock" rather than playing the same hour every time it comes up.

Associated Artists:
Treat two artists as if they are one. Protect Paul McCartney from the Beatles, Wynonna from the Judds.

Daypart Hourly Restrictions:
Specify certain hours when a title should not be scheduled.

Program Events:
Schedule I.D.s, breakers, jingles, etc. with start and end dates, specified scheduling hours and days of week for play.

Attribute Matching:
Match program event styles to music styles... an up-tempo jingle plays before an up-tempo title.

Prioritized Scheduling Rules:
After you make the rules, you tell the system which ones are more important than others so that if NO title can follow every rule, the system ignores only the rules you specify.

Tons of Reports:
Run inventory lists, programming analysis, repetition studies, music histories, you name it. Limit reports to include only specific rotation categories, years, tempos, styles, etc. Even create reports including titles containing certain words. Send you report output to the screen, the printer, or a file.

Customize Output:
Use pre-designed system reports or custom create your own including daily playlists. Save any of the layouts of inventory reports that you create for future use.

Customize Input:
You decide what appears on your inventory input screens so that it's always relevant to your station's unique needs. Input one title in a full screen view, or use a columnar screen with multiple titles. You decide which fields are accessible, and how the title list will be filtered. Changing to a new filter takes only two clicks.

Packets:
Treat several titles as if they are one creating a "rotation within a rotation."

Recycled Music Hours:
Play the same hour of music twice in one day.

Double-Shots:
Play the same artist back-to-back two (or more) in a row.

Forced Music Characteristics:
Schedule an Up-Tempo at the top of the Hour. Schedule a "Power" artist out of a stop-set. Match liners and intros to titles. Match jingle tempos to song tempos. You make the rules minute by minute. Force one music attribute or a combination of several.

Multiple Day-Lists:
Create as many arrangements of how your format clocks will be scheduled as you want. Set up different flows for weekdays, weekends, holidays,

Batch Editor:
Edit or delete a "batch" of titles at once. (Make all titles by "Beach Boys" type "Surf").

Password Protection:
Allow access to MusicMix only to those staff members who are authorized. Set selective access to different areas of the program.

Digital Automation Features:
Schedule voice tracking including specific intros and outros, time jumps, and non-music program events like jingles all from MusicMix. Automatic daily log file output to schedule your automation. MusicMix supports a huge number of digital automation systems, and you can create your own custom layout for log files if you wish.

MusicMix is multi-user compliant, user-friendly, completely menu driven. It is in use at radio stations all over the world. It's been around for over fifteen years. We love to hear your suggestions!


Inventory report now includesEach format contains different levels of depth in the information that they include

What's New...

The current version of MusicMix includes some more new features (listed below) as well as numerous interface “tweaks” for easier use of the software, and a few anomaly fixes. As always many of the new features and “repairs” were based on comments from you – our users. Thanks!

New in MusicMix 9.0

Intro Overlap Matching

A new field on the Events Screen gives you a way to enter "overlap" time for your liners, breakers, IDs, etc. Enter the number of seconds before the end of the event when the EOM (end of message) is fired. MusicMix will automatically schedule a song coming out of the event with a long enough intro time to pad under the event.

Cold-Ending Into :00-Intro Protection

Many programmers feel that playing a song with a :00 intro out of a song that ends cold is a "train wreck." You can now set MusicMix to be sure that this doesn't happen.

  • In Scheduling Rules, Click Add to build a new rule.

  • Select "Cold Ending Into :00 Intro" as the type of rule to add.

  • Set a priority level for the new protection.

  • MusicMix takes care of the rest.

Skip or Shuffle Titles to Randomize Rotations

For some music categories, especially those with only a small number of titles, you may want to jog things a little each day before running a new schedule. For each rotation category or event category, MusicMix now allows you to set as many titles as you specify to "skip." This moves those titles to the bottom of the schedule order without actually playing them. You can also select categories to be shuffled each day before scheduling.

Omit Categories from Logs or Playlist Printouts

Sometimes you may want certain music categories to schedule on your automation log file without showing up on your printed playlist. Or you may want something on the print out for air talent to see that won't actually be sent to the log file for scheduling. Either way, just click the appropriate new check boxes in Rotations or Events.

Filter Your View in Edit Playlist and Rotations

You may now limit the display in Edit Playlist to show only songs or only events depending on what you're working on. In Rotations, limit the display to show only those categories that are actually being scheduled on-air.

Unlimited Characteristics for Attributes

Previously you were limited to five characteristic for each attribute. Now, enter as many as you like. If you need more than five, just scroll down in the attributes box (Files; Attributes).

Scan Buttons on Edit Titles Screen

To the left of the Artist and Title entry boxes on the Inventory "Edit Titles" screen, you'll now find arrow buttons allowing you to scan forward or backward title by title or artist by artist.

New On-Air Interface for Day Lists

When you click "On-Air" to set up which day lists will actually be used on air for each day of the week, the menu that pops up is much more user friendly and allows you to select or change all days for the selected day list at once.

New Enter Key Required Option Setting

This is a small enhancement that might save you a lot of keystrokes. You may find this of value when browsing and editing one character columns like attributes. Previously when you typed in the last (or only) character in a field, the cursor automatically moved to the next column. So if you were trying to input a series of say Tempos, you would enter one, the cursor moved to the next column, you'd have to backspace then go down to the next row for the next titles Tempo. Go to Utilities; Options and check "Require Pressing Enter to Move Out of a Field" and your cursor will stay in the field you're working until you move it out by pressing enter. In the example above, enter you tempo, down-arrow, and you're on the next title's Tempo.

Hot Keys Added on Main Menu Screen

You may now quickly access frequently used areas of MusicMix directly from the keyboard if you prefer it to using the top menu bar. Press Ctrl+R for Rotations, Ctrl+A for Attributes, Ctrl+S for Scheduling Rules, Ctrl+E for Events, and Ctrl+B fro Browse Titles.

Sound Exchange Excel Output

Stations with requirements to report to Sound Exchange may find the new "Excel" button useful on the Titles Totals report (Select Reports on the main menu, then Analysis). Clicking Excel creates a spreadsheet file in your Reports folder under the main MusicMix folder which has columns for Artist, Title, ISRC code, Album, Label, and Total Spins for each title. You can cut and paste these columns in to columns C-H in the Sound Exchange spreadsheet template.

New in MusicMix 8.0

Info Matching

Info matching is a powerful new scheduling tool which allows you to precede music with matching events of almost any "match-type" you can imagine. The new feature uses the "Add'l Info" (formerly called "Info/Trivia") field in both inventory and events. The idea is that whatever you enter in the event's Add'l Info can be forced to match the Add'l Info for a song. Some examples of how it could be used:

  • Create artist trivia liners with artist names in the Add'l Info field on the liner event. Place the artist name in the Add'l Info field of the songs you want to match. MusicMix schedules the appropriate trivia going into the song by that artist. (By the way, you can double-click the Add'l Info field in music inventory to automatically replace the info with artist name.)

  • Create era liners ("The newest and latest," "Great oldies," "Classic 70s" -- you name it). Match the era liners with songs from that era).

  • One of our Christian stations wanted to match scripture readings with music containing the same themes.

  • Create "Here's a... new artist, forgotten oldie, super-hit, power star..." anything you want to say. Code the events to match the appropriate titles.

Some Info matching tips:

Info matching is a powerful feature that can cause powerful problems if you don't consider these requirements:

  • In the event category where you intend to use info matching, be sure to leave the Add'l Info field blank on at least one event rotating in the category. This allows the system to find something to play when the event precedes a title with no Add'l Info or Add'l Info which doesn't match any of the events. (MusicMix will always try to find an event containing a blank Add'l Info field when it hits a title with an unmatchable Add'l Info field.)

  • Be sure to always schedule an Info Matching Force if the event contains topical items. (If the event is scheduled on a format clock, and it isn't forced, the items will simply rotate as normal without regard to the song following).

  • On your playlist, a "%" failure code means that info matching was scheduled, but couldn't be achieved.

To schedule an event which matches the Add'l Info field of the following title:

  • Select the event on your format clock.

  • Click the Force button.

  • Click the "Match Add'l Info for following song" check box.

  • Click Apply.

Format Clock Color Coding

Rotation and event categories may now be color coded for visually informative format clock displays. Double-Click on the new "Color" column in either Rotations or Events to assign colors of your choice to each rotation or event category. When you create your format clocks, each clock slot will be highlighted in the corresponding color.

Some tips for Format Clock Color Coding:

  • Use light colors. Be sure to consider the text color on format clocks which is black for music rotations and reddish brown for events. If you select colors that are too dark or too similar to the text, you won't be able to read your clock.

  • Use custom colors. These are especially useful for creating very light shades (which will look the best). Click "Define Custom Colors." Drag your mouse over the palates shown until the color is one you like. To save it, click one of the 16 "Custom colors" boxes, then click "add to custom colors."

  • Use color families for similar kinds of music. (For example, make all your gold categories a shade of yellow and all your currents a shade of pink.) Then at a quick glance on your format clock screen, you'll be able to judge the balance of golds vs. currents.

New Scheduling Rules Interface

We get lots of tech support calls about confusion over scheduling rules. We've tried to make this screen easier to understand. You can still do everything the old way (for you "I can do MusicMix in my sleep --don't make me change" folks), but you'll now find a new fill-in-the-blanks section at the top of the screen to allow easier creation of your rules. As you scroll through the browse window at the bottom, the top section will change to reflect the options available for the highlighted rule. If it's a rule for an attribute, you'll be able to see all characteristics for the attributes you've selected and make your choices using simple click to check boxes.

New Events Interface

Another area that sometimes causes confusion is creating events (liners, IDs, jingles, voice tracks, etc.) The events screen has always included two windows -- Event Categories at the top and Event Details (or specific items) at the bottom. Scheduling an event category on your format clock causes the specific items to rotate when scheduling. One change to the new events interface is that the browse listing (showing all event details on the bottom) now comes up as the default. This makes it easy to see how many detail items rotate within each event category. Formerly, the same add and delete buttons were used to add or delete categories or details depending on which window was active. Now a separate set of buttons is available for each window to make it more clear what's being added or deleted.

Back-Up & Restore Improvements

When we created the ability to back-up your data, floppy disks were about the only way to do that. Now there are many other choices like memory sticks or jump drives, and backing up across the network. The new interface for backing up allows you to easily choose the storage device on your system that you want. In case you still use floppies, we've also improved that -- especially when you need to span your backup over more than one disc.

Easier & Safer Batch Editing

Let's face it. Batch editing and deleting could be downright scary. (Heck, there used to even be a scary "Caution" box that popped up every time you selected it). You would enter the criteria you want, click OK and then hope that a whole lot of stuff that you didn't want wouldn't happen along with what you wanted.

The new interface puts you in complete control right down to a title by title basis if you want. Now when you enter the criteria to determine the batch delete or batch changes, you'll be shown a preview window that lists every title that is about to be affected. Each has its own check box so that you can remove it from the list of items to include if you like. Or you can cancel the whole thing if you want. Only when you've decided that the list of titles is really what you want to edit or delete will the batch process take place. No risk.

Other System Enhancements

Screen Resizing:

Many MusicMix screens will now grow or shrink appropriately as you drag one of the corners of the window. This is especially useful on screens with a Browse Window. Since your monitor may accommodate a much larger view than the default window created by MusicMix, you can now make the windows larger to allow seeing more rows and columns on the browses.

Windows Compliant Features:
Close Boxes: We've always provided an "Exit" button on MusicMix screens. Sometimes two (Apply or OK and Cancel). But you may be accustomed to closing a window the Microsoft Way -- with the red box with an X in it on the upper right corner. We've added those for you. Be aware that closing a window by clicking the X will shut it the current window down instantly and immediately. This often equates to our "Cancel" button which means you don't want to save your changes, you just want to exit.

Auto-Complete Text Boxes: At many places in the system where you "fill in a box" with typed material, the system now remembers several of your previous entries. As you type, matching previous entries drop down. Press Enter or double-click to choose one and save some typing. You may be accustomed to theses from your Internet browser.

Easier Attribute and Rotations Selection:

In many places throughout the system you need to choose one or more attribute characteristics or rotation/ event categories. New more user friendly boxes are now in place to do that.

New in MusicMix 7.4

Memorize Custom Inventory Reports

The inventory reports screen now includes a “Custom Designs” window. When you select the Custom report format, you’ll activate the new window. Here you may create any number of layouts you desire for inventory lists and save the designs for future use. To run a memorized custom report, select the report name and click File, Screen, or Print. Click Add to create a new layout, Delete to remove a memorized design, and Design to make layout changes to the selected custom design.

Also new in this version: two inventory reports formerly misplaced in the System Files Lists area have been moved to the Inventory Reports screen. You will now find these two reports listed in the Formats window:

  • The Dayparted Titles Report which lists all titles with daypart restrictions
  • The Packets Report which lists titles in the packets you select.

(See Also: Reports; Custom Designed Reports, Reports; Inventory Report)

Custom Log Files

MusicMix has always supported numerous brands of digital automation systems for log output files. Now, in addition to all of those, you may create your own layout design for your log output file if you have special needs. From the Utilities menu, choose Log Files. There are some new choices on this screen which activate custom logs. You’ll see an option window allowing you to select either the normal log file format for your station’s digital automation or “Custom.” Click Custom to cause the system to subsequently output all log files in your custom format, and to allow designing the new log file layout (click Design).

(See Also: Utilities; Log Files, Files; Events; Voice Tracking)

New Inventory Fields

Three new fields have been added to MusicMix inventory databases:

  • ID
  • Codes
  • Year

ID:

The ID field is in place for use in identifying music file names (or IDs) used by your automation system. MusicMix has always used Source, Bin, and Number fields for IDs. For many automation systems this is very intuitive and works perfectly. For some (which just use a filename as the song’s ID) it has resulted in unruly combinations of those three fields. At present, to utilize the ID field for log file output, you must create a custom log file. If you would like to have your standard digital automation output use IDs instead of Source, Bin, and Number, contact us at MusicMix to activate the appropriate log file output option (if available).

Codes:

The Codes field will also become useful for certain types of digital automation. At present, to utilize the Codes field for log file output, you must create a custom log file. None of the standard digital automation outputs that ship with MusicMix currently use codes.

You may also want to use the ID or Codes fields for your own internal use of any kind you like. Unless you create a custom log file, these fields will have no effect on your scheduling.

Year:
The Year field accepts a four-digit year for the title. MusicMix has always relied on the last two characters of the Date field for song years. We assumed you might like a complete date for your titles. We find, however that many stations just fill in the last two digits, leaving the rest blank... a little cumbersome, and a little difficult of sorts by year. Now, if you enter a year in the Date field, the Year field will automatically be filled in (and all Year fields will automatically fill in the first time your Rebuild Databases). If you want to use only Years (not complete Dates), just turn off the Date field in Access on the Inventory screen.

Most screens that have an option to set the Sort Order now have a “Year” and “ID” sort order based on the new fields.

MusicMix also now allows longer artist and title names.

(See Also: Files; Inventory, Files; Inventory; Entering Source Numbers, Files; Inventory; Entering Date)

Quick Inventory Limits

MusicMix has always had the ability to limit which titles are displayed on inventory and browse screens. Now, for simple limits, it’s even faster. To view a subset of the music database, click the top box under Quick Limits, and select Rotation, Attribute, Artist, or Title Contains. Then select the specific rotation, attribute, or artist name in the lower box. If you have selected “Title Contains,” in the top box, enter any phrase in the lower box. MusicMix will change the display to show only those titles that match your specifications in the Browse window, or as you page up and down in the Title Details window.

(See Also: Files; Inventory; Limit Titles)

Quick Print in Inventory

A new Print button has been added to the Inventory screen. Click Print on the Title Details window for a detailed listing about the currently displayed title. Click Print on the Browse window for a listing of all titles (or all titles within any limits you have selected) using the columns shown on your browse screen. (Remember, your screen display scrolls horizontally and can accommodate a virtually unlimited number of titles... a sheet of paper can’t do that. If you have included too many columns on your browse window to fit on the paper, some columns may not print.)

(See Also: Files; Inventory)

Inventory Screen Interface Improvements

Title Search

To make things a little easier to use, some minor changes have been made to the Title Search window that pops up when you first enter the Inventory area, and pops up when you click Find. There is now a small Repeat button to the right of the Artist and Title input boxes. Click Repeat to automatically re-enter the last artist or title you viewed. (Pressing F2 still does this, too).

You may now leave both Artist and Title blank as you enter the Inventory area and simply click Find It. This will take you back to the last title you were viewing.

You may leave either Artist or Title blank and fill in the other. This will present a popup window allowing you to select the title by the artist you have entered or select from all artists who have recorded the title you have entered.

Resize Window

MusicMix has always been designed so that even the smallest (lowest resolution) screen could be accommodated. As monitor sizes have increased and resolutions have improved, there is now often more room to display more titles and more columns in a browse window. With this release, re-sizing the browse window causes it to expand correctly.

(See Also: Files; Inventory; Files; Inventory; Find Titles)

New Reports Files Output Option

By popular demand, each report screen now includes File along with Screen and Printer as an output choice. Selecting File will create a standard text file in a folder named “Reports” under your main MusicMix folder. This text file may be viewed using any word processor (including NotePad or WordPad that come with Windows). If you are somewhat computer adept, you’ll find it fairly easy to export the file to a spreadsheet or database program as well.

A tip: To create a text file of a schedule that can be quickly formatted for opening in a spreadsheet or database, from the Utilities menu, click Log Files and create a custom log file with the columns you want in your database. Build a playlist log file (with “Custom” selected), and the resulting log output file can easily be used in a word processing program, spreadsheet, or database.

(See Also: Reports)

Daylist Screen Interface Improvements

You may now select a format clock to view or edit from the Day list screen. Just double-click in the Clock No. column on the clock number you want to see. In addition, clock numbers are now entered using a drop down list (instead of just a text input box) allowing you to see clock names as you select a clock for each hour. This should eliminate a lot of the guesswork that went along with assigning clocks to hours previously.

(See Also: Files; Day Lists)

Password Protection

Many stations have indicated problems with inexperienced staff “playing with” MusicMix and making disastrous changes that take hours to repair. The new password protection allows you to provide access to MusicMix only to those staff members who are authorized, and allows selective access to different areas of MusicMix. This means that you can still allow anyone to run a schedule if needed, but they can’t edit title or format clock information.

(See Also: Utilities; Options)

Events Screen Interface Improvements

Some stations told us that is was sometimes confusing on the Events Screen to realize how many “Specific Items” were assigned to a certain event category. Clicking on Browse Events makes it very clear how many items are assigned to an event category, but on the default Edit Event Details view, it wasn’t quite so obvious. (Existence of a stray item in the lower window can cause odd events to show up in schedules in alternating hours.)

The Events Screen now includes a banner at the top indicating how many specific items “belong” to each event category.

(See Also: Files; Events)

Edit Playlist Interface Improvements

When editing a playlist and replacing one title with another, previously you were presented a listing sorted by rotation in order of “most rested” titles. The assumption was that you would replace a song with a well-rested title from the same rotation. Some stations told us they didn’t like that assumption.

You can now view the “Replace Titles” list sorted in numerous ways... (Rotation, Artist, Title, Length, and Last Play). Also, when you click Find from within Replace, you may select how you would like to search for a title by entering criteria from any of the above five sort methods. Finding and replacing a title in your playlist is now easier than ever.

(See Also: Schedule; Edit Playlist)

New Artist Totals Report

The artist totals analysis report is fully revamped in this release. Now you can view (over a period of time you select) how many total spins occurred for each artist, the number of different titles that made up that total and how many spins each of those had, plus the average daily spins for each artist and each title within the artist groups. The “Screen” version of the report allows you to scroll through artists viewing the title list for the selected artist in a separate browse window. The “Print” and “File” versions of the report allow you to select “Summary” (artist counts only) or “Detail” (artist counts plus title list and found for each artist).

(See Also: Reports; Analysis)

New Rotation History Report

One of our stations asked for a report that would show what titles were moved into new rotations on a certain date. The new rotation history report allows you to view all changes in titles’ rotation categories over a period of time that you select. As with all of our reports, you can sort it, and limit it to include all titles, or any subset of titles you want.

(See Also: Reports; Music History)


 Operation Basics

Operation Basics

All MusicMix activities may be accessed from the main menu across the top of the opening screen. The large buttons are shortcuts to more frequently used MusicMix areas. Most of the help topics suggest clicking on objects (with the left or main mouse button). You can do everything from the keyboard, though, by noticing objects with underlined characters in their titles. These may be activated by holding Alt and pressing the underlined key. For example in Inventory, to switch to Browse, hold Alt and press B.

Most input areas include a Print choice to print a complete list of the material you are working on.

Throughout the system, pressing {Esc} (the Escape key) exits from the current menu, screen or activity, and returns to the previous one.

Remember to read the screen (especially the status bar at the bottom)! In many areas, various Function Keys can be used to speed processes. For example, at many locations you can use Function Key number 4 {F4} to pop-up a selection-box when you want a list of items to choose from. Normally, resting the mouse arrow over an item will pop-up a brief explanation of how it works.


Getting Started

This is a quick-start overview of what you need to do when you first receive the MusicMix software. All of these concepts are discussed in more detail in their specific Help topics.

Before you use the software, you must have a programming plan for your radio station. You'll need to have made decisions on the following programming concepts for MusicMix to do its job:

  • Music rotation categories
  • Sources/ filenames of music, jingles, IDs, etc.
  • Attributes or characteristics of the music
  • Rules you'll want to enforce for music flow
  • Non-music program events like jingles that you want to schedule
  • Hourly format clocks

Notice that these concepts correspond to the list of items on the "Files" menu at the MusicMix main screen.

Here's What You Need To Decide...

Rotations:
Decide on your music categories. Rotations determine which songs play more often than others. A simple rotation set-up might have three categories: Heavy, Medium and Light. Think about how you're going to want your music divided in terms of which songs are more powerful (and deserve more frequent repetition).

Music Sources:
You need to know all of the sources of music that you'll be using on-air -- CD, Cart, Digital Audio on Hard Drive, etc.

Attributes:
Music attributes are those characteristics that affect the way your music flows. You need to decide what kinds of music flow problems you might want to prevent. Attributes can define certain types/styles of music, eras, tempo, artist gender or status, or just about any other categorization you can apply to music. If you are concerned about playing songs with certain attributes too close to one another, define attributes for those characteristics.

Scheduling Rules:
Once you've determined what music attributes you want to use, you need to make the rules about how the system should protect titles with those attributes from each other. Think about issues like how many slow tempos you'll allow in a row, how far apart novelty records be separated, how year groupings should be separated, etc.

Program Events:
Do you want MusicMix to schedule non-music items? (This is especially helpful for automated stations). If so, decide what you'll need in the way of jingles, I.D.s, breakers, etc. Decide where your stop-sets will run. If your automation system supports it, decide where you'll need voice tracking (intros, outros, generic jock liners), and when you want timed jumps.

Format Clocks:
You need to design each hour's music. You may use one hour's clock for many hours of the day, but you'll need at least one format clock. Minute by minute, determine which music rotation category and which non-music event categories should play for at least a basic hour or two.

You don't need to think of every possibility right away. The system allows you to easily change your mind along the way. But setting up the above categories (especially rotations, music sources, and attributes) will be helpful before you begin entering titles.

Here's How You Do It...

Rotations:

1) Select "Rotations" from the Files section of the main menu. (Press Alt+F to activate the files menu, then press R for rotations. -or- click with the left mouse button on Files, then on Rotations.). Once in the rotations screen, create each rotation category.

2) Add a rotation by clicking on Add (or press Alt+A).

3) Assign a code and a name for the new rotation category. Use the {arrow} or {Tab} and {Shift-Tab} keys to move from column to column. For example, you may want to add a rotation with a Code of "PG" called "Power Gold". For now, you may ignore the other columns on the Rotations Definition screen. Simply adding Names and Codes for all music categories you plan to use will give you enough to get going. Press {Esc} to exit the rotations' definitions screen.

Music Sources: (Not all automation systems use sources. If "Music & Event Sources" is missing from your menu, skip this step)

1) Select "Music & Event Sources" from the Files section of the main menu. The music sources section works just like rotations above.

2) Add a new music source. You might add a source of "Compact Disc" with a Code of "CD".

3) Click the "Unique Numbering" check box if you want each title to have a different number. For a CD, many titles would reside on the same disc, so "Unique Numbering" would be left blank (or set to No). If your music is on hard-drive, you'll probably need a music source called "DA" for Digital Audio with Unique Numbering checked.

4) As always, press {Esc} or click on Exit when finished.

Attributes:

1) Select "Attributes" from the Files section of the main menu. You can define up to nine attributes.

2) Since almost every station needs a "tempo" attribute, let's set it up first. To add the new attribute the cursor should be in the number 1 attribute title box. If it is not press Alt+1. Now, type in the word "Tempo" and press enter.

3) You'll move down to each characteristic for tempo. On the first line you might enter "U" for the Code and "Up" for the characteristic. Enter as many characteristics as you like under "Tempo."

4) Use Alt+[number] to move from attribute to attribute if you wish to add more.

Scheduling Rules:

1) Select "Scheduling Rules" from the Files section of the main menu.

2) Notice that three scheduling rules are already set up: The "Artist" rule sets how many minutes must pass before scheduling another song by the same artist. (This is system wide protection. You can over-ride this global time-span for any specific artist). In the "For" column of "Artist", enter the minimum number of minutes you'd like to require for separating titles by the same artist.
For now, ignore "Prev. Days Play" and "Title".

3) You may now create additional scheduling rules. To add a scheduling rule, click on Add. The new rule will be based on attributes you've defined above. For example, here’s how to make a rule not allowing more than two slow-tempo titles in a row: Click on "Tempo" to highlight it and click on "Back-to-Back limit – or – Highlight "Tempo" and press {Enter}, then use TAB to move to "Back-To-Back" Limit and press {Enter}. Assuming your code for "slow" is "S", enter "S" under "Protect" and "2" under "For." Enter a Priority of "20."

Program Events:

1) Select "Events" from the Files section of the main menu. The left section will list event categories. The right section will list specific event items for each category. You need at least one specific item for each category.

2) Add a new program event. Click on Add with the left window active (yellow) to add a category. For example, to create a "Jingles" category, you might enter a code of "JI" and a category name of "Jingle."

3) Press Alt+W (for Switch windows) to edit a specific "Jingle" item. For now you can leave most of the boxes blank, but you must have a Source and --depending on your automation system-- a Bin and/or Number. You might enter a source of "DA" for Digital Audio (which must be previously defined under Music Sources), and a number of "300" to correspond with the number assigned on your automation's hard drive. (If your automation system uses "categories", you might also need to assign a bin of "JIN" for example).

Format Clocks:

1) Now you can create your first format-clock hour. Select "Format Clocks" from the Files section of the main menu – or – click on the big Format Clocks shortcut button.

2) Click Add to add a new clock. The system will select the next available clock number. Press TAB and enter the name "Basic Hour." Leave description blank for now (press enter).

3) Near the bottom of the "Select Clocks" screen, be sure "Visual Clock" is selected. With the clock number highlighted, press enter or double-click to activate the edit clock screen.

4) Now you'll assign music rotations or program events around the clock. Enter the time "00:00" for the first event of the hour. Next, enter the rotation code or event code that you want at that minute. Repeat this process for each event or rotation you want to schedule. Click on Save when finished.

5) You're now back at the Clock Listing which shows the clock you've created. Click on Exit.

6) Now, create a a day-list so that the clock you've just built will be scheduled for use. Select "Day Lists" from the main Files menu.

7) Click on Add to add your first day list. Use the name "Basic Day." Leave description blank.

8) Double-click on the day-list number or name. For now --since you only have one clock-- you'll use clock 1 every hour of the day (assuming the new clock you just made is number 1). Enter "0" for any hour you're off the air (or don't want music scheduled). Enter "1" for each hour you want music scheduled.

9) Click Save.

10) The final step is to be sure that the day-list you've built will actually be the one used for on-air scheduling. You are now back at the "Select Days" screen. Highlight the day you just created and click on On-Air.

11) Select Sunday. Since you have only one day list, you'll use it every day of the week. So, repeat for Monday through Saturday. Notice that you can schedule the same day-list for multiple days, or use a different one for each day of the week.

Congratulations!

You are now ready to begin entering titles.

1) Select "Inventory" from the Files section of the main menu.

2) Fill in the blanks for each title in your music library.

If your music is on a Scott Studios hard drive, you may import your titles to save the typing. See the Scott help topic.


Menu Summary

Quick Summary...

The MusicMix Menu

This section is a brief overview of MusicMix system features. Other Help topics offer a detailed explanation of each section. The summary is listed in the order shown on the system main menu.

Files:

Inventory:
In the inventory section you may add, change or delete information in your music library. You may edit one title at a time in the "Full Screen" section, or work on several titles at once in the "Browse" section. You'll find many short-cuts to make title-entry easier. You'll be able to assign music characteristics to titles, link the song's artist to other artists, designate how many minutes should pass before another title by this artist plays, restrict a title from being played during certain time periods, or assign a group of titles to a packet so that they'll rotate among themselves.

Rotations:
Define "categories" of music. You specify the order they're scheduled, protections to prevent play in similar time periods on previous days, and how deep you'll allow the system to "dig" in each rotation to attempt to find the perfect title for air-play.

Music & Event Sources:
The system can automatically number and report titles from numerous different sources (carts, CDs, hard disk, etc.).

Attributes:
You can create up to nine classifications (or music characteristics) each with up to five traits. Attributes could include tempo, artist-gender, style, sound, genre, twang, hard-ness, age, lyrics, research results... you name it!

Scheduling Rules:
You decide what types of titles you will allow to play back-to-back with other types (i.e.: don't play an up-tempo back-to-back with a slow-tempo). Define how many titles of certain types may play in a row (i.e.: don't play more than 3 females in a row). Designate artist and duplicate title separations. You even decide --in the event that NO title is perfect-- which protections to ignore in which order.

Events:
This section is useful for automated stations that wish to use MusicMix to schedule jingles, IDs, voice tracks, etc. You may schedule program events to run during a specified time with start dates and kill dates, to run only during certain hours of the day, or to run only on certain days of the week. You may also set automation commands like linking events or time jumps if they are supported by your automation.

Format Clocks:
Define which rotations play in each slot of the hour, and which hourly clocks are used each day. You also may "force" a particular music attribute at a given time. (i.e.: force an up-tempo out of a stop set). Develop up to 99 clocks and 99 different days. If you like, you may: Schedule a "double-play" by the same artist, insert non-music elements or program notes, and "recycle" a music hour by repeating the same songs in a different hour in the same day.

Packets:
Placing several titles in a "packet" causes them to cycle among themselves within the normal rotation. This is ideal for titles by profuse artists, different versions or mixes of the same song, or titles that you wish to schedule on a very limited basis.

Schedule:

This is where the system will create daily playlists (and automation log files) based upon the criteria you have defined. You can also edit playlists in this section.

Reports:

Listings may be directed to the computer screen or your printer. Available Reports include:

Inventory Lists:
Print several different types of music library listings. You may limit these lists to include only those rotations, year-groups, and music characteristics that you choose.

Playlists:
This is used to print additional copies of the daily music sheet (or automation log file) used on-air.

Analysis:
Several reports showing various music statistics:

  • How various music attributes (tempo, style, etc.) are divided among the rotations that you have defined
  • Music repetition for each rotation
  • Title, artist and program event airplay counts
  • Last-scheduled information for each title

Music History:
Shows times and dates of actual airplay... title by title. Chronological or graphic print-outs enable you to see at a glance how evenly your music is rotating through dayparts.

System Lists:
Provides miscellaneous listings about criteria you've input related to scheduling music. Here you can print out your Rotations, Events, Sources, Attributes, Scheduling Rules, Format Clocks, Day Lists, Dayparted Titles and Packets. Most of these reports are also available on their respective input screens.

Scott:

This area offers specialized functions to stations using the Scott Studios/ Google digital automation system. (If you do not use the Scott system, this menu option will not appear.)

Add PB Titles:
Save retyping by importing title, artist, length, intro, ending, date information from songs you have recorded on the Scott Production Bank.

Zero PB Titles:
Change the source number to zero (and place in a hold rotation) any titles in MusicMix that are not found on the hard-drive. Avoid scheduling songs that may have been deleted.

Reconcile Playlist to Air:
Make MusicMix reflect what really happened on air. Un-schedule titles that were deleted by on-air personnel or time jumps and show scheduling of titles added manually. A quick way to view manual activities by your on-air folks affecting what was scheduled in MusicMix.

Audiovault:

This area offers specialized functions to stations using the BE Audiovault digital automation system. (If you do not use the Audiovault system, this menu option will not appear.)

Import Audiovault Titles:
Save retyping by importing music information from songs that reside in Audiovault. MusicMix will recognize and not import titles which are already in MusicMix.

Audiovault Configuration
When MusicMix imports titles, it assigns them all to a temporary Rotation category. Here you may select the Rotation category that you prefer for imports.

Utilities:

Batch Edit:
Allows mass changes or deletions to the music library based on common traits of a set of titles. Take care of massive updates in a few keystrokes.

Shuffle:
Allows you to occasionally "mix-up" the music library to assure maximum randomness in playlists. You're in control of if and when to do it.

Rebuild Databases:
This option reorganizes and compacts your databases. It may be necessary after a power failure if data becomes corrupt.

Back Up/Restore Data:
Copy critical MusicMix data to floppies or other network drives.

Reset Counter:
The system keeps track of how many times each title is played. You may reset the counter to track play beginning at a specific date.

Log Files:
Set-up seamless playlist and library output for digital automation.

System Options:
  • Allow the system to "dig deeper" in scheduling titles when you "force" a music attribute.
  • Specify how long to store airplay history.
  • Set playlist line spacing and truncation.
  • Limit scheduling properties
  • Set-up rotation input screen criteria


Files

Select Files from the main menu to access the various types of data that make up MusicMix. In each area, you may add, edit or delete items. Some choices on the Files menu indicate Hot Keys which may be pressed to access the designated area without using the menu bar. The choices on the Files menu are:

  • Inventory: Add, change or delete information in your music library. You'll work on one title at a time in the "Full Screen" or "Detail" mode.
  • Browse Titles: Work on all titles is a list mode.
  • Rotations: Define "categories" of music.
  • Music & Event Sources: Create the names of the different sources of your music and events (carts, CDs, hard disk, etc.).
  • Attributes: Create music characteristics such as tempo, artist-gender, style, sound, or genre.
  • Scheduling Rules: Create the rules which determine what types of titles you will allow to play back-to-back with or within a certain time period of other titles
  • Events: Create non-music elements such as jingles, IDs, voice tracks, etc.
  • Format Clocks: Create hourly "clocks" which define which rotations play in each slot of the hour,
  • Day Lists: Assign which hourly clocks are used each hour of each day.
  • Browse Clocks: Work with several format clocks on screen at once.
  • Packets: Place several titles in a "packet" causing them to cycle among themselves within the normal rotation.


 Full Screen Inventory Editing

Edit Title Details

From the Files menu, choose Inventory or click the large Inventory button.

This area is used to update the titles in the music library... add, delete and edit titles.

The first screen asks for the Artist and Title you want to add, edit or delete. As a time-saver, you don't need to type the entire name for Artist or Title. Simply type the first few characters and the computer will find the closest match.

Example:
Type NELS and the computer finds NELSON, RICK

Even if the computer doesn't find the artist you were expecting, typing a few characters of the Title will correct the situation.

Example:
Type BLU and the computer determines that no Rick Nelson songs start with BLU. It remembers that the artist you asked for is anyone starting with NELS and so locates "Blue Eyes Crying in the Rain" by Willie Nelson. (If, that is, your station plays both Ricky and Willie! OK. Bad example.).

Repeat Previous Entry:
Ppress Function Key 2 to repeat the previous entry on either the Artist or Title line.

Example:
After working on "Blue Eyes..." above, you return to the Title Search Screen. You want to edit another Willie Nelson Title. Simply press {F2} or click Repeat when the cursor is in the Artist box. NELSON, WILLIE is entered and the cursor advances to the Title box.

Function Key 4 (or leaving one of the two boxes blank) offers a selection box to use when you know the artist, but aren't sure of the title, or you know the title, but aren't sure of the artist.

Example:
Enter NELS in the Artist box. Press {Enter}. The cursor moves to the Title box. Press {F4} or press {Enter} on the blank title. A selection box appears listing all titles by any artist whose name begins with NELS.

You may scroll through the list using the up and down arrow keys. Press {Enter} or {Double-Click} when the light-bar is on the title you wish to edit or delete. Press {Esc} or click Cancel if there are no titles you wish to use.

The {F4} selection box, besides enabling you to find names you can't remember, is a quick way to see a listing of all titles by a particular artist, or all artists who have recorded the same song.

On the search screen, the Page-Up and Page-Down keys are also active. After entering an artist, the cursor moves to the Title box. Press {PgDn} to move to the next artist in alphabetical order; {PgUp} to move to the previous artist in alphabetical order.

Add Title:
To add a new title simply enter the Artist and Title names. Since the system will be unable to locate the entry as an existing title, it will assume you are adding a new one. It verifies this by asking if you want to add the title.

Once you have entered the search information for the artist and title you want to view, click Find It to locate the title, Cancel to return to the main menu. Clicking Find It with Artist and Title left blank simply returns you to the last title you worked on.

Once you have selected the artist and title you move to full screen editing. Using the up and down arrow keys, tab or shift-tab, or the mouse will move the cursor from box to box so that you can enter or change information. Notice that some boxes may be inaccessible depending on your setting in Access (See Access Push Button below).

The full screen display is simply a series of fill in the blank boxes. The Artist and Title boxes will already be filled in based on your input on the previous screen. You may edit them, but normally you'll simply press {Enter} to pass through them. The page-up {PgUp} and page-down {PgDn} keys are also available. {PgUp} scans to the previous title (alphabetically by artist). {PgDn} scans forward. {Ctrl PgUp} scans back to the previous artist, {Ctrl PgDn} scans forward to the next artist.

Push-Buttons…

Find:
Activates the Inventory Search window to locate a new title.

Add:
Inserts a blank title for input.

Quick Limit:
Filter titles in the current view based on Rotation, Attribute, Artist, or Title.

Delete:
The system will verify whether you really want to delete the currently viewed title.

Limits:
You may include only certain groups of titles in the editing windows. Include only titles from certain rotations, years, chart ranges, music sources, or certain attributes. You may also include only titles containing certain words.

Access:
Select this option to decide which boxes may have their contents edited.

Stats:
Pops up an information window which will display a wide range of statistical data about your library or the current title.

Print:
Click the Print button for a detailed listing about the currently displayed title (or currently highlighted title in Browse).

Sort Order:
The Browse listing and the PgUp/PgDn scroll order or Edit Title Details may be arranged alphabetically, numerically or in several other ways. With a mouse click on the down arrow of the Sort Order bar and select the one you like. With the keyboard, press {Alt+O}, then {Spacebar} and use arrows to select. Press {Enter} on the one you want.

Menu Choices...

Associate Artists:
Protect one artist's airplay from a different artist as if they were the same.

Dayparts:
Limit airplay of the title to only certain hours of the day.

Packets:
Combine titles into a packet to create a "rotation within a rotation."

Summary of Editing Short-Cut Keys:

There are several special keys active while editing. There are also menu choices on the top of the screen, and push buttons on the bottom of the screen. You may click on the choices or use the [Alt]+[char] hot keys assigned to each feature.

{Right} and {Left} arrows move from character to character within a box.
{Ctrl} and {Right} or {Left} arrows move word to word within a box.
{Home} moves to the first character in a box.
{End} moves to the last character in a box.
{Up} and {Down} arrows move from box to box.
{Enter} moves to the next box.
{Ctrl} and {Home} moves to the first box on the screen (Artist).
{Ctrl} and {End} moves to the last box on the screen.
{PgDn} moves to the next title. (Or click the Right Arrow button next to Title)
{PgUp} moves to the previous title. (Or click the Left Arrow button next to Title)
{Ctrl} and {PgDn} moves to the next artist. (Or click the Right Arrow button next to Artist)
{Ctrl} and {PgUp} moves to the previous artist. (Or click the Left Arrow button next to Artist)
{Alt} and {S} activates the Associated Artists dialogue
{Alt} and {Y} activates the Dayparting Dialogue
{Alt} and {P} assigns (or removes) title to packet
{Alt} and {F} allows you to Find a new title
{Alt} and {A} allows you to Add a new title
{Alt} and {D} Deletes the title currently on screen
{Alt} and {L} Limits access to only the types of titles you specify
{Alt} and {C} deactivates some of the entry boxes
{Alt} and {T} activates the Music Statistics information window
{Alt} and {O} allows you to change the order for PgUp and PgDn
{Alt} (by itself) activates the top menu.
{Esc}, as always, exits and returns to the previous screen.

In addition to the Edit Title Details display (one title at a time), you may switch to Browse Titles which allows you to view and edit information from a complete title listing. You may click on the heading tabs to switch displays, or —as always— use Alt plus the underlined letters in the headings… {Alt}+{E} for full screen single title editing or {Alt}+{B} for multiple title browsing.

------------------------
See Also:
Rotation, Protect Minutes, Date, Position/ Chart, Attribute Entry, Info, Label/Time/Intro/Ending, Source/Bin/No., Associated Artists, Packets, Dayparting Titles, Find Titles, Music Stats, Limits, Access Edit Boxes, Edit Title Details


Entering Rotation Information in Inventory Edit

Assigning Rotations to Titles

Enter a valid rotation code in the Rotation box or select from a listing of all rotation choices in the drop down box.

All titles must be assigned to a rotation; you may not leave this box blank. The system indicates beside the rotation box how long this title has been in this rotation.

If the title is in a packet, the packet number is indicated and the rotation code may not be changed until the title is removed from the packet. You may change the rotation of the entire packet by selecting the Packets menu option.

------------------------
See Also: Rotations


Entering Protection Minutes Information in Inventory Edit

Assigning Protection Minutes to Titles

A Protection (Mins) box is available on Inventory screens for Artist and Title. Use this only if you wish Artist or Title Separation protection during scheduling for an amount of time that is different from normal. In "Scheduling Rules" you have set a global number of minutes for artist protection and for title protection. If you leave these blank (zero), this title abides by the global protections. Normally, almost all titles will have zero protection minutes for both artist and title.

For artists, your entry should be the number of minutes separation you require before this artist can be played again (before or after this title).

For titles, your entry should be the number of minutes separation you require before the same title by a different artist can be played again (before or after this title).

Example 1:
You have set normal Artist Protection at 72 minutes. You want to allow Led Zeppelin selections to rotate faster than other artists. You enter 55 in the Artist Protection (Mins) box on a Led Zeppelin title. This allows this title to come up only 55 minutes after another Led Zeppelin song.

Example 2:
Your station wants to occasionally play an Elvis oldie. You normally require a 98 minute artist protection, but when you play Elvis, you don't want to hear him again for 6 hours. You enter 360 in the Artist Protection (Mins) box for each Elvis title.

Example 3:
You have two versions of Proud Mary. Creedence is in a Power-Gold rotation, Ike & Tina are in a Light Gold rotation. Enter 187 in Title Protection (Mins) box for both titles. If either version plays, at least 3 hours and 7 minutes must pass before the other one may play.

------------------------
See Also: Scheduling Rules


Entering Date Information in Inventory Edit

Assigning Dates to Titles

You may indicate the date a song was popular (perhaps peak chart date) using either the Date field or more simply, the Year field.

The Date field accepts a full MM/DD/YY date. The Year field accepts a four-digit year for the title. If you enter a year in the last two characters of the Date field, and Year is blank, the Year field will automatically be filled in. If you want to use only Years (not complete Dates), just turn off the Date field in Access on the Inventory screen.

Please note, the date field is not used for the date the title was assigned to its current rotation, the system keeps track of that internally.

The system uses the Year field (not Date) when a "Year" sort order is selected.


 Entering Chart

Assigning Chart & Position to Titles

Position can be used to record peak chart position or music testing scores. Reports can be limited to include only certain numerical ranges in the position box (see Inventory Reports and Limits).

Chart is a single character for use as you see fit to show the source of the Position. (You might enter {B} for Billboard, or {L} for Local chart position).

Neither chart nor position effect scheduling or are required.


 Entering Attribute Information in Inventory Edit

Assigning Attribute Traits to Titles

Music Attributes are used to assign particular characteristics to each title based upon your attribute definitions such as tempo, style, etc. You may assign a trait or leave a blank for each attribute.

Scheduling Rules use each title's attribute assignments to control the placement of titles on the playlist.

------------------------
See Also: Attributes


Entering Info Information in Inventory

Assigning Info/Trivia to Titles

"Info" may be used for title trivia, additional information, CD titles... whatever you need. You can include it in your playlist printouts, and it shows up in the "trivia" section of many automation screens. It does not affect scheduling nor is it required.


Entering Label, Time, Intro & Ending

Assigning Labels, Times, Intros and Endings to Titles

Label may be used to enter the record company. Or use it for the composer. Or whatever. Affects nothing.

Time, Intro and Ending boxes are for that information if you need it. (Some automation systems require accurate "Time" entry for each title).

The Title Totals Report in Reports; Analysis has an option to output to an Excel file. This creates a file using the following fields:

ISRC: A song's ISRC code
Add'l Information: The album title
Label: The record label


Entering Source

Assigning Source Numbers/ IDs to Titles

IDs and the combination of Source, Bin, Number, and Cut indicate where the title may be found on hard drive, tape, compact disc, etc. You may leave these boxes blank, but they are required if your digital automation system is to find the song for playback. In most cases you will use either the ID field or the Source, Bun and Number fields... not both.

ID:
The ID field is used in identifying music file names (or IDs) used by your automation system. Most MusicMix standard log file systems use Source, Bin, and Number fields rather than IDs to represent music filenames. At present, to utilize the ID field for log file output, you must create a custom log file. If you would like to have your standard digital automation output use IDs instead of Source, Bin, and Number, contact us at MusicMix to activate the appropriate log file output option (if available).

Source:
The music source is a two character code used to define the source of the title for playback.

Bin:
The "bin" number (or name) is used primarily for automation systems that require a "category" for hard-drive audio. You could also use it to designate the location or rack for a particular music source.

Number:
You may press {F8} in the Number box to have the system automatically assign the next available number. If you attempt to assign a number that is in use in a source that has been defined as requiring unique-numbering, the system will notify you that it is a duplicate.

Cut:
In addition to the source number, a two digit Cut Number may be added. This is useful for music sources like compact discs where the same source number would be assigned to all titles on the disc, and each title would have a unique cut number (corresponding to its track number on the disc).

Automated stations should check the technical specifications help topics for specific requirements on music sources to assure correct interface with your digital automation system.

------------------------
See Also: Music & Event Sources


Entering Associate Artist Information in Inventory Edit

Assigning Associates Artists to Titles

Click on Associate on the Inventory Screen menu, or hold the {Alt} key and press {S} to activate "Associated" or "Linked" Artists

The system always waits the amount of time you've specified to play the same artist again. By linking additional artists, you also prevent those (associated) artists from being played within the same time frame. Enter the name of the artist you want to protected in the fill-in-the-blank box which appears in the "Associate With" window. All artists currently linked to the current artist are displayed in the "Current Associations" window.

Example:
You might choose to link a Phil Collins title with Genesis.

To remove an associated artist, enter the name of an already listed artist and the system will ask if you want to remove it from the list.

------------------------
See Also: Create Playlist


Assigning Hourly Daypart Restrictions in Inventory

Assigning Hourly Daypart Restrictions to Titles

Click Dayparts on the Inventory Screen menu to display a grid of each hour in the day. Clicking on any hour marks the check-box for that hour. The current title will NOT be scheduled in any hour marked on the grid as restricted. To un-restrict an hour (allow play) click any hour that is already marked, and it will be unmarked. (To use the keyboard press {TAB} to move to the hour you need, then press {Spacebar} or {Enter}.

If you change you mind, click Cancel to discard changes. Click Apply to activate the daypart restrictions you have indicated.


Packets in Inventory Edit

Working With Packets While in Inventory Edit

You may assign a title to a packet or remove a title from a packet while editing data in Inventory. Click Packets on the Inventory Screen menu or press {Alt}+{P} to activate packet editing.

If the title is not in a packet:
You may assign a title to any packet which you have already defined. In the packets window, select a packet name. Press {Esc} to choose nothing.

If the title is already assigned to a packet:
You may to change the rotation of the entire packet or remove the current title from the packet. Click Rotation to enter the new rotation category. All titles in the packet will now move to that category. Click Delete to remove the title from its packet and assign it to the rotation designated for the packet (which you may then edit).

------------------------
See Also: Packets


Find Titles

Click Find on the Inventory Screen to locate a new title. Enter the Artist and Title you want to add, edit or delete. As a time-saver, you don't need to type the entire name for Artist or Title. Simply type the first few characters and the computer will find the closest match.

Even if the computer doesn't find the artist you were expecting, typing a few characters of the Title will correct the situation.

Other title-search short-cuts are provided by two Function Keys:

Function Key F2 repeats the previous entry
Press {F2} on either the artist or the title line to search again for the artist or title last entered.
Note: Instead of using function key F2, you may also click the "Repeat" button to insert the previous item

Function Key F4 offers a selection box
Press {F4} when you know the artist, but aren't sure of the title, or you know the title, but aren't sure of the artist. Instead of using function key F4, you may also click the "List" button to show the selection box with choices. You may scroll through the list using the up and down arrow keys. Press {Enter}, double-click on the item, or click Apply when the light-bar is on the title you wish to edit or delete. Press {Esc} or click Cancel if there are no titles you wish to use. The {F4} selection box, besides enabling you to find names you can't remember, is a quick way to see a listing of all titles by a particular artist, or all artists who have recorded the same song.
Note: Instead of using function key F4, you may simply leave one of the two boxes blank and press {Enter} to activate the selection box.

On the Find Title screen, the Page-Up and Page-Down keys are also active. After entering an artist, the cursor moves to the Title box. Press {PgDn} to move to the next artist in alphabetical order; {PgUp} to move to the previous artist in alphabetical order.

Click Find It to locate the title, Cancel to return to the title you were working on.


Limit Titles

While working in the Edit Inventory section of MusicMix or on Inventory Reports, you may choose to include only certain groups of titles in the editing windows or in the print-outs of reports. Include only titles from certain rotations, years, chart ranges, music sources, or certain attributes. You may also include only titles containing certain words.

For Inventory Editing, this feature only affects the action of the {PgUp}/{PgDn} keys in the Edit Title Details Screen, but is extremely useful when viewing the Browse Titles window and you wish to see only a subset of the library.

Click Limits on the Inventory Screen or on the Inventory Reports Screen to activate the Limit Titles dialogue box.

Click check-boxes under Rotations, Attributes or Sources to limit the title list to include only titles in those categories. You may click All to check every choice, or None to clear all checks. In Rotations, you may click Air to include only those titles which are in rotation categories currently used on-air. (Rotations with a schedule order different than zero).

You may also limit titles to a certain period of years or chart positions by filling in the appropriate boxes.

Enter a word of phrase under "Title" to include only titles containing that phrase.

Each group heading (Rotations, Attributes, Sources, Years, Chart Positions, Titles) includes a checkbox. You may clear the check box if you wish to deactivate the limitation. You choices for the group will remain intact, but will be ignored by the title listing. Check the heading box to activate the limitation again.

Quick Inventory Limits:

In addition to the ability to limit which titles are displayed on inventory and browse screens as described above, MusicMix offers "Quick Limit" -- an even faster method for simple filters. To view a subset of the music database, click the top box under Quick Limits, and select Rotation, Attribute, Artist, or Title Contains. Then select the specific rotation, attribute, or artist name in the lower box. If you have selected “Title Contains,” in the top box, enter any phrase in the lower box. MusicMix will change the display to show only those titles that match your specifications in the Browse window, or as you page up and down in the Title Details window.


Access Editing

Accessing Edit Boxes in Inventory

Click Access on the Inventory Screen to change which boxes may have their contents edited. Separate access settings apply to the Edit and Browse windows. A list of all possible edit-boxes will appear. Mark the check-box to allow editing an item. Blank it to cause the cursor to skip over it during editing. This feature has two main uses. There may be characteristics that your station chooses not to use (perhaps you don't want to include "Info/Trivia" in your database). Excluding access to those characteristics saves you having to press {Enter} to advance through the unused item every time you edit a title. You also may want to temporarily change the edit screens’ access settings for special editing jobs...

Example:
You create a new attribute and you want to assign values for several existing titles. You exclude access to everything except your new attribute. You then don't need to press {Enter} through many characteristics that don't need changing.

Artist, Title and Rotation are always accessible.

If you notice that certain edit boxes in Edit Title Details are dimmed and can not be edited, or certain columns are missing from the Browse Titles screen, click Access to change the activation of those items.


 Viewing Title History

Viewing Statistics in Inventory Edit

Click Stats on the Inventory Screen to open an information window showing details about the music library or the currently displayed titles.

Click Library Stats to view information which relates to the entire library (or the portion of the library to which you are currently limited). Click Title History for information related to the currently displayed title only.

Library Stats...

You'll see a count of the total number of titles in the library or in the currently limited database. Also shown is a count which treats all packeted titles as if all titles in each packet counted for one title (since that is an accurate representation of how they will rotate).

You may select to view a count of:

  • The number of titles by each artist in the system
  • The number of titles in each rotation category.
  • The number of titles assigned to each trait in an attribute

Title History...

The system will calculate the total number of plays that the title has had since it was added, and since the last counter reset.

Select Rotation History to see a list of all rotations that the title has been assigned to, and the dates that the assignments were made.

Select Airplay History to view times and dates the song has been scheduled for play. History information goes back as far as you have specified when you defined the System Options. Also displayed (in the far right column) will be "failure" information for each play of the title. If the title was a "perfect" choice (it passed every scheduling rule), nothing will display. A "D" indicates a Previous Days' Protection failure. "A" indicates Artist-separation failure. "T" indicates Title-separation failure. A number (1-9) indicates a failure on that attribute number "@" indicates the title failed on all rules, and it was simply scheduled as the most rested title..


Browse Inventory Editing

From the Files menu, choose Browse Titles or click the large Inventory button and then click the Browse Titles page tab.

The browse editor allows you to view and edit information for a complete title listing. Most of the same concepts discussed in the help topic "Edit Title Details" apply in the browse section except that you'll see a listing of titles rather than individual titles. You may switch between the Edit Title Details display (one title at a time), and the Browse Titles view by clicking on the heading tabs. Or, as always, you may also use {Alt} plus the underlined letters in the headings… Alt+E for full screen single title editing or Alt+B for multiple title browsing.

Browse Screen Layout...

Here's are some viewing tips for this --or any-- browse window. Using your mouse, you can completely redesign your screen.

Change column widths:
Place the mouse pointer on the dividing line between columns and hold down the left mouse button. Drag the column divider to make the column larger or smaller. Changing the column size doesn't affect the amount of data that will fit in any column, it only affects the screen display. If you make the column smaller than the normal data width, the input area will scroll as you enter data.

Move columns:
To rearrange the order in which columns are displayed, place the mouse pointer on the column heading of the column you wish to move. Hold down the left mouse button and drag the column left or right to its new position.

Lock left columns:
When you are scrolling horizontally across the grid, you may want to keep a column or two on the left visible so that you don't forget what title you are working on. To lock columns on the left, click on the small black bar in the bottom left corner of the browse window and drag it to the right for the width you want as your locked column area. Try it!

Change sort order:
A quick way to change the order of the listing is to click on the heading of the Artist, Title or Rotation column. The titles will then be alphabetized by the heading you clicked.

Resize Window:
MusicMix is designed so that even the smallest (lowest resolution) screen can be accommodated. If you have a larger monitor, there is more room to display more titles and more columns in a browse window. With your mouse, drag the lower right corner of the Inventory Window to re-size the browse window giving you a wider view of rows and columns.

------------------------
See Also:
Rotation, Protect Minutes, Date, Position/ Chart, Attribute Entry, Info, Label/Time/Intro/Ending, Source/Bin/No., Associated Artists, Packets, Dayparting Titles, Find Titles, Music Stats, Limits, Access Edit Boxes, Edit Title Details


Rotations

From the Files menu, choose Rotations.

Add, edit and delete the Rotation Code, Rotation Name (Description), Scheduling Order, Search Depth, Previous Days' Protection (Hours & Minutes), Number of Days to Protect, and Time Jog parameters.

You'll start with a browse window listing all available rotations. As you move through the rows, at the bottom of the screen, for each category in your system, you will see how many titles are in your inventory assigned to that category, and how many times you have scheduled that category to play in your format clocks. Based on that information, the system also displays how quickly each title in each category can be expected to repeat.

To edit, or delete existing rotations, move the light-bar to the name of the rotation you want to change.

Code, Description:
First, enter a one or two character Code letter that you'll use in Format Clocks and Inventory editing to refer to the rotation category. Then enter the Name (or description) of the rotation.

Note: If you use "Optimize" (see below) you can ignore the following advanced topics...
Scheduling Order:
This tells the system which rotation to schedule first. The earlier a rotation is scheduled, the fewer failures there will be in that rotation, so the system won't have to "dig" through as many titles for each slot. If you experience many failures in a particular rotation during scheduling, try assigning a lower schedule order number to it.

Suggestion:
Schedule rotations with just a few titles --like Power Currents-- earliest.

Enter a 0 for categories that will not be used on-air. It is recommended that you include at least one "hold" or "rest" rotation category.

Scheduling Depth:
This tells the system how many titles to consider as it attempts to schedule a song from this rotation. If every title up to the depth level you select fails, the system will go back and schedule a song that doesn't perfectly fit the criteria you've assigned.

Tip:
A good starting point for setting search depth is about one-third of the number of titles in that rotation.

Previous Days' Protection:
This tells the system to look at when the same title was played on previous days. (You'll probably want it to play in a different daypart today than it did yesterday.

"Hours and Mins" show how much time before and after previous days' play must elapse to be acceptable for today's play.

"Number of Days to Protect" tells the system how many days to check back in trying to achieve the daypart separation you've entered.

Tip:
Avoid protecting for a number of days exactly divisible by 7. This can have the effect of repeating some titles in the same daypart exactly one week later (i.e.: every Monday)).

Time Jog Protection:
MusicMix tries not to play a title during the same hour(s) as its previous plays. Time Jogging means trying to move the title evenly around the clock each time it plays. You can designate time jog settings to tell MusicMix how aggressively you want it to try to achieve this time jogging.

"Time Jog Plays" refers to how many previous plays of a title you would like to consider. You may enter from 0-9, but be careful not to set it too high since you can quickly make it impossible to achieve. (We suggest a maximum of 5). Zero turns off time jog checking.

"Time Jog Hours" refers to how many hours you want to check for each of the previous plays. You may enter 0-3.

0: Turn off time jog checking.
1: Check only the same hour as previous plays.
2: Check the same hour and the preceding hour as previous plays.
3: Check the same hour, the following hour, and the preceding hour as previous plays.

Examples:
A time jog setting of 3 Plays; 1 Hour means: Try not to play this title within the same hour for its next 3 spins.

A time jog setting of 2 Plays; 3 Hours means: Try not to play this title within the same, preceding, or following hours for its next 2 spins. (Spin 1: It plays at 2:30 PM, Spin 2: It plays at 8:30 PM. On Spin 3 MusicMix tries to avoid playing it in the 1PM, 2PM, 3PM, 7PM, 8PM or 9PM hours).

Randomize:
For some music categories, especially those with only a small number of titles, you may want to jog things a little each day before running a new schedule. For each rotation category, you may set as many titles as you specify to "skip" to the bottom of the schedule order without actually playing them. You should use only small numbers for skip values. A skip number may not be higher than the scheduling depth for the category. Skipping will only occur up to the lower of scheduling depth or skip value. For example, if you enter a 3, just before creating each new playlist, MusicMix will skip the 3 most rested titles in that category. If you look at a title (on the inventory screen) that has been skipped, but not yet rescheduled, it will show a Last Played Date of the day before the playlist date upon which it was skipped and a Last Played Time of "13:00 PM." On the Inventory browse window it will show "25:00" as the Last Played Time. Normally, leave skip set to zero.

You can also cause any rotation category that you choose to shuffle each day before scheduling. This causes the titles in that category to be completely randomized before starting the new scheduling process. This can be very effective for small categories with heavy repetition (like Power Currents) since they may have a tendency to come up in the same order. The downside is that it "equalizes" all titles in a category -- treats them all as if they've never played -- so no regard is given to how long titles have rested. Normally, leave Shuffle set to un-checked (or off).

Include In:
Sometimes you may want certain music categories to schedule on your automation log file without showing up on your printed playlist. This may apply to categories that are going to be played, but not introed or outroed, so the jock need not see them on the printout. Or very rarely, you may want a music category on the print out for air talent to see that won't actually be sent to the log file for scheduling. Either way, just click the appropriate check boxes for Log or Print. Normally, you would want everything to go both places, so leave these boxes set to checked (or on).

Colors:
Colors may be assigned to each event category which will affect the appearance of events as they are placed on format clocks. (see Format Clocks)

Display Notes:

You may change the order of the display to reflect the order in which titles will be scheduled by clicking on the column heading for Scheduling Order. Change it back to the default alphabetical by code by clicking on the "Code" column heading.

You may limit the display to show only those categories that are actually being scheduled on-air (titles with a non-zero entry in scheduling order), or you may show all rotations that you have created including those that are not currently being used..

Sample of all rotation fields:

You create a new rotation for "Currents" with the following input:

Rotation Code: CU
Schedule Name: Current
Schedule Order: 3
Search Depth: 6
Prev. Days Protection: 1 Hours, 30 Mins, 2 Days
Time Jog: 5 Plays, 3 Hours

Schedule Order:
This would tell the system that a rotation called Current will be the third rotation category that the system will schedule when building a daily playlist.

Search Depth:
The system will test the six titles assigned to the Current rotation that were played the "longest ago." If it finds a title in the first six that does not fail any of the scheduling rules you have made, it will schedule that title. If all six fail, it will start ignoring scheduling rules beginning with the one that you have designated as least important. Protection rules will continue to be ignored, one-by-one, until one of the six titles can be scheduled.

Previous Days Protection:
The Hours and Mins settings indicate that the system may not play a "Current" title within 1 hour and 30 minutes before or after it played the same title on any of the previous 2 days... If a song plays at 10:00am today, 2 days must pass before it can be played again between 8:30am and 11:30am. (see "Scheduling Rules").

Time Jog:
MusicMix will look at the previous 5 plays of this title and try not to schedule it this time in the same, previous or following hour as any of the previous 5 plays.

Push Buttons...

Find:
Move to a new rotation category on the screen.

Add:
Create a new rotation category.

Delete:
Remove a rotation category. (The system will not allow removing a category which contains titles.

Print:
Create a hard copy of all rotation categories.

Titles:
Shows a quick list of all titles in a rotation category along with when they played last. Click Titles to view the list, then click Print if you would like a hard copy..

Optimize:
Optimize eliminates the need for you to ever understand Schedule Order, Search Depth, Previous Days Protection, and Time Jog. The computer calculates the optimum settings automatically based on your inventory and format clocks. You may choose to update the entire rotation system or just the category you are presently highlighting. Click Optimize to perform the optimization. You may use the check boxes to select which rotation characteristics you wish to have the system optimize for you. (If the "Skip, Shuffle, Log, Print" check box is checked, all of those characteristics will return to default values: Skip=0, Shuffle=Off, Log=On, Print=On). After you have made your selections, click Optimize. If you do not like what the optimize process does, you can always return to the Optimize window and select Undo to revert the changes back to what they were.

What-If...

Music repetition is based on two factors:
1) How many titles are in each rotation category?
2) How many times is each category scheduled on format clocks?

(Scheduling Rules, and settings in Rotations will alter the repetition of things, but only to the point of what is physically possible. It may appear that "Previous Days Play" might speed up or slow down repetition. For example, some stations set "number of days" to 4 in the hope that the same title won't play again for 4 days. The reality is that if you have one title in a category and you schedule that category once an hour, that one title will repeat every hour no matter how you set anything! It's simple mathematics.)

"What-If Testing" helps you decide how many titles you need in a category or how many times you must schedule a category on format clocks to achieve the repetition levels you want.

Here's how to do "What-If Testing" in the bottom window on the rotations screen...

1) Click on one of the boxes in the bottom window. The window shows "Total Titles", "Total Plays" and "Repeats in..." statistics for the currently highlighted rotation category. That is, you see a total number of songs in inventory assigned to that category and the number of times that category is scheduled on format clocks.

2) Enter a new value in one of the boxes and the rest of the windows will update to indicate how repetition would change for the titles in the highlighted rotation. See what would happen to repetition if you...

  • Increased or reduced the number of titles in the library assigned to that category (Total Titles)
  • Increased or reduced the number of times format clocks call that rotation category (Total Plays)
  • If you change the value in the "Repeats in..." box the system will show you how you would need to adjust either the number of titles or the number of plays needed to achieve that repetition rate for the category.

When you return to the top window, the bottom statistics return to their original values (reflecting the actual current totals and repetition).

------------------------
See Also: Assigning Rotations, Scheduling Rules


Music & Event Sources

From the Files menu, choose Music & Event Sources.

Enter a one or two character Code and a Source Name to designate each music source your station uses.

Example:
Here are some possible Music Sources and codes:

  • CART CT
  • COMPACT-DISC CD
  • DIGITAL AUDIO DA
  • VOICE TRACK VO

The Unique Numbering check-box is used to tell the system how many titles may have the same number. A source of "Digital Audio" for example would use Unique Numbers (a different number for each title). A source of "Compact-Disc" would not (several titles could be on the same disk number).

------------------------
See Also: Source/Bin/No., Getting Started


Attributes

From the Files menu, choose Attributes.

Attributes are musical characteristics that you may define for each title. They will be used in Scheduling Rules to establish the flow of your station's music. You may define up to nine attributes, each with an unlimited number of traits.

Here are some samples of possible music attributes and their possible traits:

Tempo | Slow, Medium, or Up (or 1,2,3,4, and 5)
Sound | Pop, Mass-Appeal, Country, Traditional, Twangy
Artist | Old, Has-Been, Superstar, New
Seasonal | Xmas, Summer
Gender | Male, Female, Girl Group, Boy Group, Instrumental
Lyric | Depressing, Sad, Topical, Upper
Style | Metal, Rock, Mainstream, Pop, Dance

In the Attributes Definition section, you'll see nine boxes... one for each attribute you define.

With the keyboard, use {Alt+[number]} to move to the attribute you want. Edit the attribute name (e.g. Gender) and press {Enter} to activate that attribute's box. Enter each trait with a code-letter and name (e.g.: F Female...). You must use a different code-letter for each trait in an attribute set Although only five characteristics show at a time for each attribute, you may add more than five by scrolling down in the browse window. Be careful about adding too many characteristics, however, since designing scheduling rules involving large numbers of characteristics can become unwieldy.

------------------------
See Also: Assigning Attributes to Titles, Scheduling Rules


Scheduling Rules

From the Files menu, choose Scheduling Rules.

Scheduling Rules tell the system how far apart to keep music characteristics that you have defined. You may protect to assure that the same artist or the same title by different artists doesn't repeat too quickly, and you may protect using music attributes.

There are two ways to protect titles:

  • Use "time span separation" to separate musical types for a certain period of time.
  • Use "back-to-back limit protection" to allow specified musical types to play back-to-back, but only up to a certain number of times in a row.

Artist Protection:

Select "Artist" to define the number of minutes you normally want to have elapse before your station plays the same artist again. The same artist includes any artists you've "linked" or "associated" with the artist assigned to a title (see Associated Artists). (You might link a title by "Wynonna" with "The Judds").

You may designate different times for specific artists if you wish (see Protect Minutes).

Duplicate Title Protection:

Select "Title" to define the number of minutes you normally want to have elapse before your station plays the same title by a different artist again.

If you have two identical titles which are actually totally different songs that you do not want protected from each other, you may want to change one of the titles in a minor way: add a period at the end, or change one word. (A single different character is all it takes to keep them from being identical.) If you want to leave the titles identical, but not protect them, you could assign a 1 to title protection minutes for each song allowing them to schedule without regard for the other after one minute.

Previous Days' Protection:

Previous Days protections are actually defined for each rotation in the Rotations section. Here, however, you need to assign a Priority Number to the Previous Days conflict protection. (see below).

Cold Ending Into :00 Intro Protection:

If you choose, you can prevent playing a song with a :00 intro out of a song that ends cold. Click Add and select "Cold Ending Into :00 Intro" as the type of rule to add. By including this protection on your rules list, MusicMix will avoid scheduling cold opens out of cold endings. You only need to assign priority number for the Ending/Intro protection. If you decide that it's OK for :00 intros to follow cold ends, just delete the rule.

Protecting with Music Attributes:

When you add a music attribute scheduling rule, you'll select an attribute from a list of all attribute names you've defined. Then you'll select either time span separation, or back-to-back limit protection.

Time Span Separation Protection:

To create a time span rule, you'll first fill in the "Protect" column with all traits of the attribute you've selected that you want to protect from another trait. Then enter the single trait to "protect from" in the "From" column. Next you'll enter the number of minutes that you want the traits to be separated.

Example:
You are a country station which has defined a "Style" attribute with the traits:
R - Right (twangy)
T - Traditional
M - Mainstream
A - Accessible (to non-country core)
L - Left (pop)

If you play a "Left" song, you want at least 8 minutes to pass before you play another one, or before you play a "Right" song or an "Accessible" song. You select "Style" in the Attribute selection-box. Then you would enter Protect: "RAL", then From: "L", then For: "8" Minutes.

Back-to-Back Limit:

If you select the back-to-back limit option, you'll fill in only the "Protect" box (not the "From" box). All of the attribute traits you include in the protect box will be allowed to play back-to-back until the system reaches the number you specify in the "For" box.

Example:
You have defined a "Tempo" attribute with the traits:
U - Up
M - Medium
S - Slow

You don't want more than 4 songs to be played without an "Up Tempo" song. You select "Tempo" in the Attribute selection-box. Then you would enter Protect: "SM", then For: "3 In-A-Row." This would allow up to three "slow" or "medium-tempo" titles to play in a row, but not a fourth.

Priorities:

The last thing to complete is the Priority column. You must tell the system the order of importance for all of the scheduling rules you specify. The higher the number you enter in this column (from 0 to 99), the more important the rule. Priority levels are used during scheduling. The system will attempt to find a "perfect" song (one that passes all of your tests). In each rotation, however, it will test only the number of titles that you have designated in the "Search Depth" (see Rotations). In the event that every title tested fails at least one scheduling rule, the system will then ignore the rule with the lowest priority number. If a title still can't be scheduled, the system will ignore the next scheduling rule and work its way up until a title is finally scheduled. If every title fails every rule, it will simply schedule the title that hasn't been played for the longest time period in that rotation (indicated on playlist as "@" failure). If failures happen often, it means that you have created "impossible" rules or search depths that are too small.

Push Buttons...

Add:
Create a new scheduling rule.

Delete:
Remove the currently highlighted scheduling rule.

Print:
Create a print-out listing all rules.

Daypart:
You may daypart scheduling rules so that certain rules do not apply at certain times. Highlight the rule you want excluded at certain times, and click Daypart. You'll see a grid depicting each hour of each day of the week. Enter an asterisk "*" for those hours you do NOT want the rule to apply.

Example:
You run a "love songs" program on Saturday night from 6-10 PM. You don't want the usual limit of 3 slow-tempo songs in a row to apply during that show.

1) Highlight the "Tempo" "S" 3 In-A-Row Schedule Rule
2) Click Daypart
3) Mark the columns labeled 6, 7, 8 and 9 PM in the Saturday row with asterisks "*".

The rule will be ignored in that time slot.

------------------------
See Also:
Create Playlist, Associated Artists, Protect Minutes, Attributes


 Events

Program Events

From the Files menu, choose Events.

Events are non-music, items that play on-air (jingles, I.D.s, breakers, voice-tracks, etc.) You may set start and end dates, specify days of the week that items may run, set up overlap times, or exclude events from running in certain hours.

The events input screen is divided into two windows. The top window is used for entering "Event Categories," the bottom for "Specific Items" in each category.

Event Categories...

Program events are divided into "event categories." Each category must contain one or more "specific event items." A category might be "Jingles." The specific items might be "Up-Tempo Shotgun," "Brass and Vocal," "Full Sing," etc.

Code, Category Name:
Event categories contain a one or two character code which will be used in your format clocks to schedule each program event. The code may not be the same as any music rotation code. The category name describes the items for the event category.

Skip:
For some event categories, you may want to jog things a little each day before running a new schedule. For each event category, you may set as many specific items as you specify to "skip" to the bottom of the schedule order without actually playing them. Obviously, this feature has no function for event categories which contain only one specific item (as many do). Normally, leave skip set to zero.

Shuffle:
You can cause any event category that you choose to shuffle each day before scheduling. This causes the specific items in that category to be completely randomized before starting the new scheduling process. This can be very effective for event categories with numerous rotating items (like jingles) since they may have a tendency to come up in the same order. Obviously, this feature has no function for event categories which contain only one specific item (as many do). Normally, leave Shuffle set to un-checked (or off).

Log, Print:
Sometimes you may want certain event categories to schedule on your automation log file without showing up on your printed playlist. This may apply to events that are going to be played, but the jock need not see them on the printout. Or you may want an event category on the print out for air talent to see that won't actually be sent to the log file for scheduling. This might be useful for a non-audio reminder for air talent that has nothing to schedule, but is useful for the jock to see on the printout. Either way, just click the appropriate check boxes for Log or Print. Normally, you would want everything to go both places, so leave these boxes set to checked (or on).

Color:
Colors may be assigned to each event category which will affect the appearance of events as they are placed on format clocks (see Format Clocks). To select a color to associate with the current event category, double-click in the "Color" box.

Specific Items...

Within each event category you must have one or more "Specific Items." If you have more than one, each item will rotate within the category. Normally, event categories contain only one specific item.

It is important to realize that more than one "Specific Item” may be assigned to each event category. Clicking on Browse Events makes it very clear how many items are assigned to an event category, but when the default Edit Event Details view is active, only one specific item is shown so it isn’t quite so obvious. Be sure to note the banner at the top indicating how many specific items “belong” to each event category.

The bottom (Specific Items) window contains two pages: "Edit Event Details" and "Browse Events." In "Edit Event Details" you may view all details and work on one specific item at a time. Click the page tab or keyboard {Alt}+{B} to switch to the "Browse Events" page and view or edit a complete listing of all specific items assigned to a category. In browse, you’ll move from column to column to enter event item information rather than seeing it laid out on one screen.

Event Name/Specific Item:
The "Event Name" in the "Edit Event Details" window will show up on the printed playlist in the "Artist" column, and the "Specific Item" will show up under "Title."

Add'l Info/Length/Intro/Ending:
These fields are optional and do not affect scheduling.

Start & End Dates:
If you wish to limit the dates during which your item may run, you may enter a start and end date. If you leave them blank, the item can run anytime. If you set end dates so that every event item is expired, and the event category is scheduled in a format clock, an expired event will schedule. Be sure at least one item's end date is later than the day you're scheduling.

Overlap:
You may choose to enter "overlap" times for your liners, breakers, IDs, etc. which should have their trailing audio play over the top of the intro time of the following song. In this field, enter the number of seconds before the end of the event when the EOM (end of message) is fired. When MusicMix schedules the event, it will check the song coming out of it for its intro time and schedule the specific event item which comes closest to the songs intro time without going over. This feature is automatically activated whenever an overlap time is anything but blank for the event (no force on a clock is needed for it to work).

Obviously, for this to be most effective, you should create several specific items for the event category being used as a "talk-over" liner... each with different lengths of overlap. It is very important that at least one of the specific items have an overlap of :00 so that if a :00 song is scheduled, a liner which won't ride over the top of it is available. Note that MusicMix matches the event items to the music -- music is scheduled first, then a liner with an appropriate overlap is located for whatever song is in the slot following the liner.

Following are several automation-specific selections available on this screen. Check the technical specifications for your system to see whether your system supports them. If your system doesn't show one of these items on screen, it's because your automation system doesn't need it:

Source Numbers:
Enter the "Source," "Bin," and "Number" just as you do for music. This information tells your digital automation where to find the event item.

Sync:
Sync is used to cause an event to happen at a specific time. Your digital automation may have codes to designate soft-sync and hard-sync events. Soft Sync waits for the event on air when the time occurs to finish, then jumps to the event item marked as Soft Sync (i.e. after the last song that will fit in an hour, skip over optional songs and jump to the I.D.). Hard Sync immediately fades the item on the air and jumps to the event item marked Hard Sync (i.e. dump out of an instrumental to join the network). You will need to enter the specific codes based on your digital automation system’s configuration.

Link (or Action Code):
Linked Events assure that two back to back program elements do not become separated. Normally links are used to assure correct intros and outros in voice tracking. If you schedule a "Link to Following" program item, and it plays as a time scheduled for a sync arrives, it will play the following (linked) program element before executing the sync jump. In Audiovault, Links are called Action Codes, and default to "X".

May Run On:
If you want to allow your event item to play only on certain days of the week (i.e. a weekend breaker), you may mark those days on which it may schedule.

Here's How to Create a New Program Event:

1) With the top window active, click Add (at the top of the screen) to create a new event category.

2) Enter a one or two character code and a description.

Example:
Code: "ID"; Description: "Top of Hour I.D."

3) Click Switch to activate the Edit Event Details (Specific Items) window. The Event Name is filled in by the system with the event category. (e.g. "Top of Hour ID"). The specific item is the unique item name. (e.g. "Workday Variety")

4) Fill in applicable boxes for the specific event item.

5) If you want more specific event items in this category, click Add (at the bottom of the screen) and fill in the boxes for each item.

Push Buttons...

The push-buttons across the top of the screen apply to the Event Categories. The push-buttons across the bottom of the screen apply to the Specifc Event Items (which rotate within the categories).

Event Category Buttons (Top of Screen):

Add:
Creates a new event category. After adding, enter a Code and Name for the new item.

Delete:
Delete an event category and all items rotating within it.

Print:
Print a listing of all program events.

Switch:
Change to the non-active window.

Specific Event Item Buttons (Bottom of Screen):

Add:
Creates a new specific event item to rotate within the event category selected in the Categories browse window.. After adding, enter all detail information for the new specific item.

Delete:
Delete the selected specific item, removing it from rotating within the current event category.

Dayparts:
Click Dayparts to exclude certain hours when the event item should not be scheduled. This procedure works the same as Dayparting Titles.

--------------------------
See Also: Format Clocks, Dayparting Titles, Source/Bin/No., Voice Tracking


Voice Tracking

Because of the wide variety of methods used to accomplish voice tracking by various automation systems, be aware that some of the following information may or may not apply to your specific system.

There are three types of voice tracks for digital automation:

1) Generic Voice Tracks (liners)
2) Daily intros & outros
3) Title-Matched intros & outros

You'll create an event category for each type that you want to use. For example, you could create a "VG" event (voice-tracks; general), a "TI" event (title matched intro), "VO" (daily outros). Call the event names and codes whatever you like... you'll use the codes to assign slots on your format clocks where the voice tracks will play.

Depending on your automation system, requirements may vary for voice tracking. See the specific information for your system in Automation Systems of MusicMix Help) .

Generic Voice Tracks:

Generic tracks are essentially the same as liners or breakers which may run at any time. Schedule generic voice tracks as you would any other program event including a "Source" and "Number" or "ID" on the hard drive where the automation will find the tracks.

Daily Intros and Outros:

Most stations will use this type of voice track for intros or outros of music during automated periods. The announcer will use the MusicMix printed playlist for the day and record his tracks following the schedule. To create this type of voice-track-event, you will create a normal event, but include a special "VTRK" code in either the "Source Number" or "ID" field. When the playlist is created, the "VTRK" code will be replaced, and MusicMix will assign numbers for each voice track based on the time and day of your playlist.

MusicMix would assign the following bin names to set up individual tracks for each minute of the day, each day of the week: VMO, VTU, VWE, VTH, VFR, VSA, and VSU (MO being Monday, TU Tuesday, etc.) followed by a four digit number for each track which corresponds to the time scheduled on your playlist (in military time).

Example:
A voice track scheduled at 11:04 AM on Monday would be recorded as VMO 1104; VSA 2318 for 11:18 PM on Saturday. (If you are using IDs rather than Bins and Source Numbers to identify your sound files, a voice track scheduled at 11:04 AM on Monday would be recorded with and ID (or filename) of "VMO1104"; "VSA2318" for 11:18 PM on Saturday.)

This enables you to record tracks up to a week in advance.

MusicMix also gives you the option of recording voice-tracks up to one month in advance by enabling "Use day-of-the-month voice-tracking" in System Options. In that case, voice track identifiers would be V01, V02... through V31 instead of VMO through VSU.

Title-Matched Voice Tracks

Title matched voice tracking is used by stations who do not wish to record fresh intros and outros every day. You can record one (or more if you create them as rotators in your production system) intro or outro for each title in your system that will be announced. You schedule the voice track in your format clock, and MusicMix finds the appropriate voice track to match the following (or preceding) title for intros (or outros). To set up the title-matched voice-track-event, in the event's specific information, you must assign a code of "VIN" for intros, and "VOUT" for outros.

You must also fill in the Voice Track Grid. On that table, you'll enter one character for each hour of the day to represent the announcer who will record the voice tracks (probably his/her initial).

  • If you're using "Source, Bin and Number" to identify your music files:
     MusicMix will use the appropriate character from the Voice Track Grid, plus the final two characters of the matching title's bin to create the voice track bin where the track must be recorded. You'll record the track using the same number as the title you are introing or outroing.
  • If you use ID numbers to identify your music files:
     MusicMix will place the appropriate character from the Voice Track Grid character before the number of the title for the ID of the voice track.

Example:
You voice track from 6pm to Midnight. Dave is on from 6-9 and Kevin is on from 9-Mid. Your voice track grid looks like this:

6p | 7p | 8p | 9p | 10 | 11
D | D | D | K | K | K
  • If you use Bins and Source Numbers...
    The music you are announcing is in bin "101." So Dave will record his tracks in a category you create called "D01." The intro for the title in bin "101," number "1234" would be recorded by Kevin in "K01" - number "1234."
  • If you use IDs...
    The music you are announcing has an ID of "123456." So Dave will record his track and name it "D123456." The intro for the with an ID of "123456" would be recorded by Kevin in "K123456."

Please notice that you must choose (station-wide) between intros and outros with this type of track... you can't do both.

Title matched voice tracking in not available for all automations systems. If you want to use it and it isn't in effect for your system, contact us and we'll set it up (if possible).

Scheduling Voice Tracks...

After you have created the voice track event categories, add the appropriate event code to your format clocks... (i.e. "VO," "TI," or "VG" in the examples above) where you want the voice track to play. Be sure intros immediately precede a music rotation slot on the format clock and outros immediately follow one.

Each automation system may vary. Check the help-topic specific to your automation to see how your system handles voice track intro & outro source numbers.

------------------------
See Also: Events, Automation Systems


Format Clocks

From the Files menu, choose Format Clocks or click the large Format Clocks button.

This section is used to make minute by minute music clocks indicating the time that titles or program events should be played. You also may insert "program notes" (reminders to DJs) at the times you want them to occur. Most format clocks can be used for many different hours on your station. Create a different clock for each specific "hour-type" you may have. (Some stations have only one or two clocks, some have many more).

Select Clocks Screen...

You'll see a browse window listing all format clocks that have already been built. Notice that those clocks which are scheduled on an "on-air" day-list are marked "On Air" in the right-hand column. Marked are those clocks which are included in day-lists that are currently scheduled for at least one day a week as on-air day lists. This column can not be changed from within the clock editing screen.

To select a clock for editing, double click on the clock number, or highlight your selection and press {Enter}. You'll be taken to the Build-Clock screen.

Push Buttons...

Edit Name:
Click Edit Name to change the name or description of the highlighted clock.

Add:
Click Add to create a new format clock from scratch.

Print:
Prints a listing of all clock names, numbers and their "on-air" status.

Delete:
Move the light-bar to a clock and click Delete to remove an existing clock. Be careful not to delete a clock that is used in a day-list for scheduling.

Copy:
You can easily create a new clock that is nearly the same as an existing clock. Move the light-bar to the clock you want to use as a basis for the new one, and click Copy. This copies the highlighted clock to a new slot.

Clock Options:
Select "Visual Clock" to edit in a shaped display which easily shows how things fall in each quarter hour. Select "Detail Clock" for a columnar listing of each minute. (The Detail Clock allows an unlimited number of entries.)

Build Clock Screen:

Here you'll see each minute of the hour when a "playlist element" is scheduled. An element could be a:

  • Music-slot (identified by a rotation code)
  • Program event (identified by an event code)
  • Program note.

Detail Style Clock:

Detail Style Clock

Visual Style Clock:

Time, Code:
For each event, enter the minute and seconds that the event should occur. After entering the time, enter the code to play at that time. Enter a rotation code to schedule a song in the slot, or an event code to schedule a program event. (Press {Alt}+{DownArrow} to activate a drop-down list of all valid rotation and event codes on the visual clock; Enter blanks to see a list of all codes on the detail clock).

Example:
Coming out of news at :05 past the hour, you want:

  • A reminder to appear on the printed playlist (indicated with a hyphen) to do a quick weather-forecast.
  • Followed by a jingle (program event code "JI")
  • Followed by a Power Current (rotation code "C1").

You add the following lines:

  • 05:00 — Weather
  • 05:20 JI (computer inserts): Jingle
  • 05:30 C1 (computer inserts): Power

Program Notes:
To enter a program note instead of a music rotation or program event at any minute, press the hyphen {-} instead of a rotation or event code. You'll be given a box in which to enter a memo-line up to 25 characters long. Program notes are used for printed playlists only. They are not exported in the daily log file for automation. To program non-music elements such as voice tracks or jingles for automation, you must use program events. The program note "Stop-Set" has special meaning to the system. When printing the daily playlist, whenever the system finds a Stop Set program note, it adds a line of asterisks to visually break the page into your music segments.

Double Plays:
You may also schedule a special Repeat Title by entering {=} at the rotation/event code box. This is used to program a "double play" or a "block" of one artist. Pay close attention to the Rotation Code before the "Repeat" slot. Be sure it's a category (or has a forced attribute) that will feature only artists that you actually want repeated, and that you have enough library depth to achieve the repeat. After you select the "repeat" feature, you'll be shown a selection box listing all available rotations. Click the check-boxes to select all rotations that are acceptable for the system to use in finding a second title by the artist just played. Click OK after you've selected all rotations. You may also force a Music Attribute for the repeat-artist selection.

Push Buttons...

Both the "Visual Clock" and the "Detail Edit" screens contain the following push buttons:

Force Attributes:
Click Force to allow only particular music attribute traits in the current timeslot. A window will appear listing all available attributes. Move to the one you want to "force" and then input the traits of that attribute. The system will then search for only titles with all of those traits when it schedules that slot.

Example:
You require a medium or up-tempo Power Current song coming out of the news at :05. You enter the rotation code you've assigned to Power Current, then select "Tempo" as the attribute to force. You input "MU" to allow only a Medium or Up Tempo song in that slot.

During scheduling, the system will look only at those titles that match the traits you specify for the forced attribute. Only if EVERY title it looks at fails on EVERY scheduling rule you've specified, will it then ignore the forced attribute. When the system is scheduling a title with a forced attribute, you may allow it to "dig deeper" than normal through the available titles in the rotation. (See System Options).

When you add events to your format clock, you can force Event/Music matching:

Enter attribute characteristics on the events screen and then create "Attribute Matching" on the format clocks force screen. Enter {=} in the "Force" box for the attribute you want to match. MusicMix will match the characteristic of the attribute you select with the same attribute in the following slot on the clock.

  • An obvious use is to code jingles by tempo. On the format clock when you schedule the jingle, enter an "=" in the Tempo force box. When MusicMix schedules, it will look at the song following the jingle, then match the jingle's tempo to that song's tempo.
  • You could code liners with specific attribute references... "Here's another great surfin' oldie...", "Here's another summer-fun oldie...", "Now another song of praise..." Match the liners to music styles "Surf", "Summer" and "Praise" using attribute matching or create "Info Matches."

Info matching allows you to precede music with matching events of almost any "match-type" you can imagine. This feature uses the "Add'l Info" field in both inventory and events. The idea is that whatever you enter in the event's Add'l Info can be forced to match the Add'l Info for a song. Some examples of how it could be used:

  • Create artist trivia liners with artist names in the Add'l Info field on the liner event. Place the artist name in the Add'l Info field of the songs you want to match. MusicMix schedules the appropriate trivia going into the song by that artist. (By the way, you can double-click the Add'l Info field in music inventory to automatically replace the info with artist name.)
  • Create era liners ("The newest and latest," "Great oldies," "Classic 70s" -- you name it). Match the era liners with songs from that era).
  • One of our Christian stations wanted to match scripture readings with music containing the same themes
  • Create "Here's a... new artist, forgotten oldie, super-hit, power star..." anything you want to say. Code the events to match the appropriate titles.

Some Info Matching tips: Info matching is a powerful feature that can cause powerful problems if you don't consider these requirements:

  • In the event category where you intend to use info matching, be sure to leave the Add'l Info field blank on at least one event rotating in the category. This allows the system to find something to play when the event precedes a title with no Add'l Info or Add'l Info which doesn't match any of the events. (MusicMix will always try to find an event containing a blank Add'l Info field when it hits a title with an unmatchable Add'l Info field.)
  • Be sure to always schedule an Info Matching Force if the event contains topical items. (If the event is scheduled on a format clock, and it isn't forced, the items will simply rotate as normal without regard to the song following).
  • On your playlist, a "%" failure code means that info matching was scheduled, but couldn't be achieved.

To schedule an event which matches the Add'l Info field of the following title:

  • Select the event on your format clock.
  • Click the Force button.
  • Click the "Match Add'l Info for following song" check box.
  • Click Apply.
A note on forcing:

Matched Attribute forcing, Info Matching, Forced Attributes, and Intro Overlap Matching (see Events) are mutually exclusive. MusicMix will use the following priorities in selecting forces:

  1. Overlap matching
  2. Info matching
  3. Attribute matching
  4. Forced attributes

If you create a situation where more than one of these forces is attempted, MusicMix will actually only accomplish the one which is highest on the above list. (For example, if you create an event with an overlap time entered, then schedule it on a format clock with a forced attribute or info matching, only the overlap protection -- and not the force or the info match -- will be accomplished).

Stats:
View a listing of each music rotation and event category, and the number of occurrences of each on this clock. Press {Esc} to exit.

Avg. Time:
Provides average song length in each rotation category to help plan music timings as you create clocks.

Print:
Print a list of each item on the current clock.

Save:
Saves the format clock to disk (erasing the old version if there was one) and exits.

Cancel:
Exits without saving your work. Leaves the old version --if one existed-- as it was.

The "Detail Edit" clock screen also includes the following push buttons:

Find:
Move to a certain minute on the format clock.

Delete:
Remove the currently highlighted item from the clock.

Add:
Add a new timeslot and playlist element to the clock.

Code (Sort Order):
Click the heading of the rotation code column to sort the listing by event and rotation code. Events are listed first, then music codes. This is useful for getting a look at how categories are spread across the hour. By clustering all of the same codes together, you can quickly see how their times compare.

Time (Sort Order):
Click the heading of the minutes column to sort the clock in normal (time) order.

Format Clock Color Coding

Rotation and event categories may be color coded for visually informative format clock displays. Before creating your clocks, set up colors by double-clicking on the "Color" column in either Rotations or Events. Here you can assign colors of your choice to each rotation or event category. When you create your format clocks, each clock slot will be highlighted in the corresponding color.

Some tips for Format Clock Color Coding:

  • Use light colors. Be sure to consider the text color on format clocks which is black for music rotations and reddish brown for events. If you select colors that are too dark or too similar to the text, you won't be able to read your clock.

  • Use custom colors. These are especially useful for creating very light shades (which will look the best). Click "Define Custom Colors." Drag your mouse over the palates shown until the color is one you like. To save it, click one of the 16 "Custom colors" boxes, then click "add to custom colors."

  • Use color families for similar kinds of music. (For example, make all your gold categories a shade of yellow and all your currents a shade of pink.) Then at a quick glance on your format clock screen, you'll be able to judge the balance of golds vs. currents.

------------------------
See Also: Browse Clocks, Day Lists


Day Lists

From the Files menu, choose Day Lists.

A "day list" is used to tell the system which clocks to use for each hour of the day. You may create different day lists for each different "type" of day that your station may have. If all seven days of the week were exactly the same on your station, you would need only one day list. More likely, you'll need several to fit different types of scheduling. (Many stations use three day-lists: Mon-Fri, Sat and Sun).

Example:
Here are some possibilities for different day-lists:
1) Weekdays
2) Weekends
3) "Count-Down" Day (no clocks during "count-down" program hours, and one hour with no Power-Currents following the program)
4) Play-by-play Sports day (no clocks during game hours)
5) Weekdays with Christmas Music

Day List Selection Screen:

You'll see a browse window listing all day lists that have already been built. Notice that those day lists which are scheduled to be used for creating playlists are marked in the "On Air" column with the day(s) of the week in which the list will be used. Change days in this column by clicking On-Air (see below).

To select a day list for editing, double click on the day list number, or highlight your selection and press {Enter}. You'll be taken to the Build-Day Lists screen.

Build Day Lists Screen:

When you add or edit a day-list, you'll assign a format clock to each hour of the day. You'll be given 24 hours to schedule. In each hour's box, enter the number of the clock to be used in that hour. If you don't need 24 hours of playlists, enter {0} for the clock number in the hours where nothing is to be scheduled. Clock numbers are entered using a drop down list allowing you to see clock names as you select a clock for each hour.

Push Buttons...

Edit Name:
Click Edit Name to change the name or description of the highlighted day list.

Add:
Click Add to create a new day list from scratch.

Print:
Prints a listing of all day list names, numbers and their "on-air" status.

Delete:
Move the light-bar to a day list and click Delete to remove an existing clock. Be careful not to delete a day list that is used for on-air scheduling. If you do, you will not be permitted to exit the day lists selection screen until you have scheduled a day list for use on-air for every day of the week.

Copy:
You can easily create a new day list that is nearly the same as an existing list. Move the light-bar to the day list you want to use as a basis for the new one, and click Copy. This copies the highlighted day list to a new slot.

On-Air:
You will assign which day-lists to schedule on-air by clicking the On-Air button. To assign a day list to a certain day (or days) of the week, highlight the name of the day-list and click On-Air. Select all of the days of the week for which that day list will be used to schedule playlists. You must assign a day list to each of the seven days.

If you wish to remove a day-list from on-air use, but not delete it so that you'll still have it for use at a future time, you may click On-Air and select "-none-" so that the day-list will not be scheduled. Remember to apply any days you remove from one day-list to another. If you fail to assign a day-list to all seven days of the week, when you try to exit the Day List Screen, the system will alert you to the problem and not allow you to exit until all days are assigned.

View or Edit Format Clock:
Double-click on the Clock Number to view or edit the format clock for that hour.

Repeat Hours:
Some stations like to repeat a full hour of music from a prime daypart in an overnight daypart. To use the same hour twice, press {F2} when highlighting the hour where the music will be reused. You'll be asked what hour to re-use. Note that the re-used music hour will be listed as-is. All attribute, artist, and previous days' conflict checking applies only to the original music hour, not the repeated hour.

------------------------
See Also: Format Clocks


Browse Clocks

From the Files menu, choose Browse Clocks.

Here, you'll be able to edit format clocks while lining up several hours side by side. A selection-box screen appears first. It lists all format clocks that have already been built. Click each one that you would like to include on your edit screen.

On the browse screen, down the left side you'll see each minute of the hour. Each column is a different format clock. At the bottom of the screen you'll see the clock name on the left and a description of the currently highlighted item on the right. The description includes the rotation name with any forced attributes, or program note contents. Most of the concepts in the help topic Format Clocks apply here.

Add Minutes:
Press {F4} to add a new line available to all clocks.

Program Notes:
Enter a hyphen {-} on any slot that you want a note. A window pops up to allow input of the text of the note. To change an existing note, highlight the hyphen and press {F9}.

Force Attributes:
Press {F8} after you have entered a valid rotation-code, you'll then be given an opportunity to "force" a particular music attribute in that slot.

Double Plays:
You may also schedule a special "Repeat" title by pressing {F2} at any slot. This is used to program a "double play" of one artist. You'll be shown a selection box listing all available rotations. Select all rotations that are acceptable for the system to use in finding a second title by the artist just played. Press {Esc} after you've selected all rotations.

After you have completed work in the browse window, press {Esc}. A "Ready to Exit; Save Changes?" dialogue box appears. The system offers three options:

Yes (Save Changes):
Saves all browsed clocks to disk (erasing the old versions) and exits.

No (Discard Changes):
Exits without saving your work. Leaves the old clock versions as they were.

Cancel (Return to Browse):
Allows you to continue working on the clocks.


Packets

From the Files menu, choose Packets.

Packets are used to group several titles together within a rotation. They enable you to rotate a group of titles within one slot in the music rotation category. Normally, the system simply attempts to schedule the "longest rested" title within a rotation. If the title is in a packet, it schedules it, then when it comes up again to be re-scheduled, the next title in the packet would be scheduled instead. Songs in a packet with two titles would rotate one-half as quickly as any normal title in the same rotation category; songs in a packet with three titles would rotate one-third as quickly and so forth.

You may create up to 999 packets with up to 99 titles in each.

Some uses for packets:

  • Place a number of titles by a profuse artist in a packet. There are loads of Elvis titles you wish to play. Putting them all in as individual Gold selections means that every time you turn on the radio, it's Elvis. Put them in a packet (or several packets) and Elvis comes up less often, but the variety of titles is still there.
  • An artist releases a song, and then also releases a "dance-mix" or "unplugged" version. You want to play the original and the new mix. Put them in a packet, and the system rotates the two versions without changing the frequency of the title's play.
  • Packets also give you a way to slow down the repetition on certain titles within a rotation category.

The packets screen has two windows: the upper lists packets, the lower lists titles in each packet. The active window is yellow.

Push Buttons...

Find:
Click Find to locate to a different packet.

Delete:
If the "Packets" (top) window is active, delete the entire packet and move each title within the packet to a normal, single slot in the packet's current rotation category. If the "Titles" (bottom) window is active, remove the current title from the packet and move it to a normal, single slot in the packet's current rotation category.

Add:
If the "Packets" (top) window is active, create a new empty packet. If the "Titles" (bottom) window is active, add a new title to the current packet.

To add a new packet, click Add while the upper Window is active. The system will assign the next available number and a generic name. You may change either. Next, enter a rotation code. All titles in the packet will schedule in format clock slots designated to this rotation.

To add titles to existing packets, activate the lower window and move the light bar to the title just before where you'd like the new title to appear and click Add.

Print:
List all titles in the current packet.

Packet Title Schedule Order:

Titles in the lower window are listed in the order that they will cycle through the packet as they rotate. The title scheduled to play next is marked with ">>>". You may double click on a blank in the Next? column to schedule a different title next.

------------------------
See Also: Packets (in Inventory), Scheduling Rules


Schedule

Select Schedule from the main menu to create or edit your station's daily playlist. The choices of the Schedule menu are:

  • Create Playlist: Schedule daily music (and create automation log files) based upon the criteria you have defined.
  • Edit Playlist: After the schedule is created, you may optionally make manual changes.


 Create Playlist

Create Playlist

From the Schedule menu, choose Create Playlist or click the large Create Playlist button.

This is where the system generates your daily music schedules.

If you want to Print the playlist when scheduling is complete, Click the Printer check-box. To automatically create a schedule file for automation click Log File.

Enter the dates to schedule. You will be asked for a start and end date. Schedule one day, the weekend... or week... or whatever. The system will suggest the next date for which no playlist has been completed. Click Schedule. The system will then inform you that it is loading day-lists and format clocks that you have designated. It will then schedule a title for each format clock slot of each hour of the day.

Note to Scott Studios users:
Remember that if you are planning to use the Scott "Reconcile Playlist to Air" feature, it doesn't make sense to schedule too far ahead. When you reconcile, you will want to be able to quickly reschedule deleted or jumped titles and avoid added titles.

How the Playlist Is Created...

Several things can affect which title the system will select to schedule in each time slot:

  • Attribute protections in Scheduling Rules
  • Schedule Order in Rotations
  • Previous Days separation rules in Rotations
  • Search-Depths in Rotations
  • Forced attributes in Format Clocks
  • Artist separation rules in Scheduling Rules or Inventory (including separation from "Associated Artists" assigned in Inventory)
  • Title separation rules in Scheduling Rules or Inventory
  • Packet cycling
  • Artist double plays assigned in Format Clocks
  • Daypart exclusions in Inventory or Events
  • Kill dates and day of week exclusions in Events
  • Obviously, everything is controlled by the number of titles in each rotation category and the number of times each category is scheduled per hour

You can watch an on-screen presentation of what the computer is doing as it attempts to schedule the most perfect titles for each time slot. You'll may find it interesting to see how the computer is dealing with the scheduling rules, protections, search depths, and attribute forcing that you have established, and which ones are causing titles to be rejected.

As scheduling of each title is attempted, you'll see the Artist, Title, all Music attributes, a message indicating why the title is rejected (if it is rejected) and a number indicating how deeply into the rotation (starting with the "most rested" title) the system is digging.

Active Keys During Scheduling:

{1-9}
Depending upon the processor speed and memory of your computer, the titles listed may fly by too quickly to read. If you would like the computer to pause whenever a "failure" occurs, press any number key (1 through 9). The system will pause for the number of seconds of the key you pressed each time it is unable to place a "perfect" song based on your rules.

{T}
After setting a number (see above) of seconds for pausing at failed titles, press {T} to also pause at time-jog failures. Pressing {T} again causes not stopping at time-jog failures.

{S/F}
If you would like to pause at every song that is scheduled, after pressing a number-key, press {S} (for "schedule"). To return to pausing only at failed titles, press {F}.

{0}
To return to uninterrupted scheduling, press {0} and pausing will cease.

{P}
Press {P} to pause the scheduling process until you press any key to continue.

{Esc}
During scheduling, you may press {Esc} to cancel the scheduling process. You'll be given a chance to verify that you really want to interrupt the scheduling. If you do, the system erases the playlist that it was working on and "rolls-back" the system to the state it was in before scheduling started.

------------------------
See Also: Playlist Report, Format Clocks, Day Lists


Edit Playlist

From the Schedule menu, choose Edit Playlist or click the large Edit Playlist button.

Many music scheduling programs require editing the playlist after scheduling to take care of the blanks they leave behind when protection rules can't be met. MusicMix never leaves blanks and many MusicMix stations use the playlist just as the computer prepares it. Still, you may wish to do some fine tuning after scheduling is completed, but before the playlist is used on air.

Push Buttons...

Replace:
To remove a title and replace it with a different one, highlight the title you want to remove and click Replace. You'll see a title selection box initially ordered by rotation. Within each rotation, titles are arranged from most-rested to least-rested. The initially highlighted song will be the most rested title in the rotation scheduled. Move the highlight to the title you wish to insert. Double-click on the title (or click Select) to schedule it in place of the previously scheduled title.

You can view the “Replace Titles” list sorted in numerous ways... (Rotation, Artist, Title, Length, and Last Play). To find a specific title from within Replace, click Find on the title selection window. You may select how you would like to search for a title by entering criteria from any of the above five sort methods.

Flip:
Click Flip to exchange positions of the current title with the one above it. It's a very quick way to resolve a back to back music flow you don't like.

Move:
You'll be asked for a time. The highlighted title will be rescheduled at the time you enter.

Find:
A quick way to move to a different item on the playlist.

Delete:
You may remove a title from the playlist without replacing it.

Add:
You'll enter a time to add a new title or program event and see a selection list of your entire inventory. Double-click on the item you want to add. It's an easy solution to adding voice-tracks after a schedule has already been run and your jock calls in sick.

Stats:
You can get a quick look at the airplay history for the currently highlighted title or event, and you can examine statistics reflecting an overview of the day's playlist. Title counts are available for the number of times each artist, event or rotation category is scheduled on the playlist you're editing. You can also get counts broken down by each of your attributes. (How many up-tempo, medium-tempo, slow-tempos are scheduled on this date?) Click Stats, then select the type of count you want.

Sort Order:
Normally a playlist is sorted by time... in the order items will playback in the schedule. You can get answers to music flow questions by looking at a day's playlist in a different order:

  • Sort by Artist to view groupings by artist or event category. It's a good way the see title/artist repetition on the same day. You'll quickly discover how much time passes from one Beatles cut to the next Beatles cut.
  • Sort by Rotation to look at repetition and flow within each category.

All editing options remain available no matter which order is selected. The "Find" option will move you to the selected Time, Artist, or Rotation Category depending on the order chosen.

Filter Playlist View:
You can choose to see everything scheduled on your playlist, only music or only non-music events (liners, jingles, IDs, etc.). Click the appropriate option button to change your view.

Edit Title/Event:
As you are editing the playlist, you may notice that a title or program event has an incorrect attribute, length or other data. Click the Edit Title/Event page tab to view (and change if you wish) full detail for the currently highlighted item. (See: Edit Title Details and Program Events)

If you have checked "Log Files" in Create Playlist, you will have the option to create a new log file when you exit Edit Playlists. If you do not create the log file, any changes to the playlist you've made will not be passed on to the automation system.

------------------------
See Also: Playlist Report, Create Playlist


 Reports

Reports

Select Reports from the main menu to create any of several MusicMix Reports that will provide you with the information you need to make decisions about your station's music. The choices of the Reports menu are:

  • Inventory List: Print music library title listings.
  • Playlist: Print additional copies of the daily music sheet (or automation log file).
  • Analysis: Several reports showing various music statistics.
  • Music History: Print listings showing times and dates of actual airplay... title by title.
  • System Lists: Print listings of your Rotations, Events, Sources (if used in your system), Attributes, Scheduling Rules, Format Clocks, Day Lists, Dayparted Titles and Packets.

Report Set-Up

Whichever report you select, you'll first go to a Report Designer Screen. Here you will select the criteria that shapes how the report will look, and what information it will contain. Here you’ll be able to select various formats, sort orders, starting and ending points, data limits, page headings, and in some cases even design your output column by column.

Each report has a slightly different designer screen, but all give you the option of sending your report to the printer or displaying it on screen. When you click Screen or Printer your report will begin. Some reports also give you the option of sending your output to a File. Report text files are standard ASCii text files which may be viewed in any word processor or a text editor like Microsoft Notepad. They are saved to a folder called "Reports" located inside your main MusicMix folder.

Inventory Report Set-Up:

Analysis Report Set-Up:


Report: Inventory List

Inventory List Report

From the Reports menu, choose Inventory List.

There are several ways to print music library inventory information depending on the choices you make on the report designer screen.

Format:
Each format contains different levels of depth in the information that they include. The first three choices (Condensed, Programmers, and Full Data) are inventory lists that range from a simple listing to a detailed analysis. As you click (or move the cursor with arrow keys) on the Format choices, watch the status bar on the bottom of the screen for a listing of what is contained in each report format. The Dayparted Titles Report lists all titles with daypart restrictions. The Packets Report lists titles in the packets you select.

Of special interest is the "Custom" selection in the format box. click on Custom to activate the "Custom Designs" window. Here you may create any layout you desire for an inventory list and save the design for future use. Select the report name and click File, Screen, or Print to run the saved report. Click Add to create a new layout, Delete to remove a saved design, and Design to make changes to the selected existing custom design. (see also "Custom Designed Reports")

Sort Order:
You may arrange your Inventory List alphabetically by Artist or Title, numerically, or in several other orders.

Starting/Ending Points:
Your report may begin and end wherever you want. Initially it is set to the first title based upon your "Sort Order" selection (above). You must enter valid data (you can't start with a title that has been excluded by your Limits setting).

Heading:
Place any title on your report.

Push Buttons...

Limits:
This selection moves you to the Set Limits area. Here you may choose to include only certain types of music in your report. Reports may be limited to include titles from only certain years, certain rotations, certain music sources, and those titles that achieved certain chart positions. You also may limit the report to show only those titles that have certain Attribute traits. Even choose a report with titles containing certain words or phrases ("heart" songs for Valentines Day).

Example:
You use Limits to create a report showing only those titles from 1985-1989 in your Power Gold Rotation which achieved Top 5 chart status and are Up Tempo.

Design:
If the "Custom" Format is selected, the Design push button becomes available. Click Design to open the Report Designer tool.


Reports: Playlist

Playlist Report

From the Reports menu, choose Playlists.

Normally, you will print your daily playlist (or create a log file for automation) as part of the scheduling process in "Create Playlist". But here, you may also go back and look at a previous playlist (or part of it), create a log file for automation, or reprint a playlist. On the report parameters screen you'll select the date and starting and ending hour of the playlist you'd like to see. (Note that the ending hour is the last hour to include.) You may also enter a heading. For "log file" output, some options are not available since they don't apply.

Failure Codes:
The extreme right-hand column of the playlist indicates whether the title scheduled "passed" all scheduling rules. If the title was a "perfect" choice (it passed every scheduling rule), nothing will display.

Failure Code Summary:

Code | Description
D | Previous Days' Play conflict
A | Artist-separation failure
T | Duplicate title-separation failure
I | Cold Ending to :00 Intro failure
(1-9) | Failure on that attribute number
@ | Every title failed every scheduling rule and as a last resort, the system simply scheduled the most rested title in the rotation
% | An attribute or Info-Match was forced in that time slot, but the system was unable to achieve the force with the music that was available in the search depth.
# | An attribute was forced in that time slot, but the system had to ignore every scheduling rule to achieve the force with the music that was available in the search depth
| | A double-play by the same artist was scheduled but was not achieved

Design:
Your playlist may include or exclude any music information you choose. Click Design to custom design your playlist using the Report Designer tool.

------------------------
See Also: Creating Playlist, Edit Playlist


Reports: Analysis

Analysis Report

From the Reports menu, choose Analysis,

There are several different formats of reports which analyze the way your station's music is being used.

Rotations Analysis:
This report shows how quickly titles in each rotation will repeat on your station based on how you have set up Format Clocks and how many titles have been assigned to each rotation category. Included is the total number of songs in each rotation, how many of those songs play each day and each hour, the percentage of the library in that rotation played each day, and how many days, hours and minutes it will take for titles in each rotation to repeat. The report shows this information for each day of the week, and an overall average. You may select a start and end time if you wish to look at only a specific daypart.

Music Attributes Analysis:
This report is useful in looking at how well balanced your playlists are in terms of the various music attributes or characteristics you've assigned. It will show by total and percentage each attribute category based on a series of playlists you select. For example, you might use it to get a feeling for the overall tempo of your station.

Artists Analysis:
Two artist studies are available.

The Daily Artist Count report uses up to one week of playlists to see how much of your stations music each day is devoted to each artist you play. It's a good test of whether you're over-playing or under-playing a particular artist.

The Artist Totals report is a broader look at inventory and rotations over a longer period. You can view (over a period of time you select) how many total spins occurred for each artist, the number of different titles that made up that total and how many spins each of those had, plus the average daily spins for each artist and each title within the artist groups. The “Screen” version of the report allows you to scroll through artists viewing the title list for the selected artist in a separate browse window. The “Print” and “File” versions of the report allow you to select “Summary” (artist counts only) or “Detail” (artist counts plus title list and found for each artist). You may limit the report to include only the top ___ artists.

Titles Totals:
This report counts plays of most-often heard titles on your station during a specified time period. Titles are listed in order of frequency. It answers the question, "Which songs are we playing the most?" You may limit the report to include only the top ___ titles.

Stations with requirements to report to Sound Exchange may find the new "Excel" button useful on the Titles Totals report (Select Reports on the main menu, then Analysis). Clicking "Excel" creates a spreadsheet file in your Reports folder under the main MusicMix folder which has columns for Artist, Title, ISRC code, Album, Label, and Total Spins for each title. You can cut and paste these columns in to columns C-H in the Sound Exchange spreadsheet template. You may also find this spreadsheet or the text file generated by clicking "File" useful for BMI or ASCAP reporting.

Playlist History:
This report shows title by title total plays since the counter was reset and since the song was added. It may be limited and sorted as you wish.

Inventory Distribution Analysis:
The Inventory Analysis report shows music statistics for all criteria you have defined in your music library. You may show an analysis of the entire library, or limit the report to certain titles. Included in the report will be the number of titles in each trait for each attribute you have defined. Also shown will be the number of titles in each music source (your automation system may not uses sources), and a breakdown by age of the songs (Click Years to define year groupings. The system counts titles in seven year-groups by age.)

The on-screen report shows only number-of-titles in each category. The hard-copy print out also shows a percentage for each.

You may click the check-box to include "Artist Stats." Besides the above information, the report will then include a count for the number of titles by each artist in the library (or section of the library you select).


Reports: Music History

Music History Report

From the Reports menu, choose Music History.

Format:
Three styles of reports are available: "Matrix," "Chronological," and "Rotation History."

The first two track specific airplay times for individual titles. Use them to see if titles are receiving even airplay across dayparts. They show repetition levels for individual songs. You can show the information in a list format, or graphically.

The "Matrix" report shows each title followed by a list of dates upon which that title was played. On each date, an asterisk indicates the time of airplay. The report indicates airplay of a title that the system scheduled even though it failed to pass at least one scheduling rule by showing why it failed. An {A} indicates the failure was due to Artist Separation. A {D} indicates the failure was due to Previous Days' Play Separation. A number (1-9) indicates the failure was due to a Music Attribute Separation. (The number is the number of the specific attribute causing the failure). This chart graphically shows at a glance whether even dayparting is occurring for each title.

The "Chronological" report is a list of titles, each showing the date and time of airplay over the number of days you've selected. Also shown is elapsed time (in days, hours and minutes) for each play of the title since the last play of the same title.

The "Rotation History" report allows you to view all changes in titles’ rotation categories over a period of time that you select.

Sort Order:
Allows you to change the order that titles are listed.

Start/End of List:
Sets the starting and ending titles for the report.

Number of Days:
For "Matrix" and "Chronological" formats, you may select how many days of history you'd like shown for each title up to the limit you've defined for the system (see System Options). Be aware that listing numerous titles for numerous days can eat up a lot of paper!

Start and End Rotation Dates:
For the "Rotation History" formats, you may select a time span which will limit the report to include only those titles which have had changes made to their rotation categories during that period.

Push Buttons...

Limits:
Your report may included the entire library, or you may limit it to include only songs meeting specific criteria.


Reports: System Files Lists

System Files Lists

From the Reports menu, choose System Files Lists.

These report formats are used for quick print-outs or on-screen listings of miscellaneous elements which make up your music system. Most of these reports are also available on their respective data entry screens.

Print a list of...

Rotations
All categories you've assigned, along with associated information for each category. The "Details" version includes repeat times, and all rotation data. "Summary" is a simple list of codes and rotation names.

Music/Events Sources
Scheduling Rules

Program Events
The "Details" report includes all rotating specific items within each event category. "Summary" is a list of event categories only.

Format Clocks
"Details" is a minute by minute read-out of selected clocks. "Summary" is a list of clock names and numbers.

Day Lists
Details" is a listing of how individual clocks are assigned to selected programming days. "Summary" is a list of day list names and numbers.

------------------------
See Also: Rotations, Music & Event Sources, Scheduling Rules, Program Events, Format Clocks, Day Lists, Packets, Dayparting Titles


Report Designer

You can create custom layouts for inventory reports and the playlist report. For inventory reports, you may save designs that you create for future use.

To create a customized listing of titles in inventory, from the Reports menu, choose Inventory. Select Custom Format. This activates the "Custom Design" window. Click Add to create a new layout, Delete to remove a saved design, and Design to make changes to the selected existing custom design..

To create a customized music playlist (schedule), from the Reports menu, choose Playlist. Click Design.

The Custom report Designer Screen offers two windows. On the left is the "Available Data Items" window -- a listing of every data item available for the report. On the right is the "Report Design" window -- a list of those items which you have selected to include in the order that they will appear.

Available Data Items Window:

Click the check-boxes to include that item in your report. If an item is included in the report that you would like to remove, clear the check-box.

Report Design Window:

Width:
This item designates how many characters will be included in each column of the report. The width initially displayed for each selected data item is the full width of the data item. If you make the width smaller, items in that column will be truncated. You may make it wider if you wish to include a column heading wider than the data.

Spaces:
Enter a number to designate the number of blank spaces to include following each column (for space between columns).

Heading:
You may enter a heading for each column you've created. The heading may not contain more characters than the width of the column.

Order:
You may change the numbers to rearrange the order (from left to right) that columns will appear on the report. Initially, columns are arranged in the order that you select them.

Saving Inventory Custom Designs:
For inventory custom designs, this screen also includes Report Name, Heading, and Notes fields. The report name will show up in the list of custom designs on the inventory report screen. The heading will appear at the top of the report. Notes is for your use as needed.


Scott Studios Features

Special Features for Audiovault Systems Users

Stations using Audiovault digital automation have extra power with the "Audiovault" selection on the main menu. (If you use a different type of automation, the Audiovault pad does not appear in your system.) MusicMix can exchange information from your Audiovault system's music database.

In order to use the Audiovault features, your computer's network with your Audiovault System must be functioning and you must be logged in. You must know the drive letters mapped in your network for your Audiovault computer.

Import Audiovault Titles:
Save retyping by importing music information from songs that reside in MP3 tags in the Audiovault music database. MusicMix will recognize and not import titles which are already in MusicMix.

In order to use the MusicMix import feature, the Audiovau.ini fill must be set by Audiovault to include the "FMT_Full-Print!" Format. You'll use the AVRPS software to export the music database from Audiovault into a standard text file. In AVRPS:

  • Click System
  • Click Files
  • Select the MUS category
  • Select the Full Print! Format
  • On the "Save To" Line type the folder and filename where your export will be saved. (For example: C:\export.txt)
  • Click Search
  • Click Save

When you select "Import Audiovault Titles," you will be asked for the folder and filename that you created above. A window will pop up to tell you which titles are about to be imported. You may clear the checkbox on any title to exclude it from the import.

Next, you'll be taken to the main MusicMIx inventory screen which will be limited to displaying the titles you've just imported. Here you may change rotation categories, attributes, or make any corrections to title information that you choose.

This even works on new systems. At install time, you can import the entire Audiovault library.

Log Files:
This is the same as Log Files under Utilities. It also still exists there. It also exists here since it’s logical that it belongs on the Scott menu pad, but must also still reside under Utilities for stations without a Scott menu pad.

Audiovault Configuration:
When MusicMix imports titles, it assigns them all to a temporary rotation category. Here you may select the rotation category that you prefer for imports.

------------------------
See Also: Technical Specs; Audiovault


Scott Studios Features

Special Features for Scott Systems Users

Stations using Scott Studios digital automation have extra power with the "Scott" selection on the main menu. (If you use a different type of automation, the Scott pad does not appear in your system.) MusicMix can exchange information from your Scott system's on-air computer and production bank computer.

In order to use the Scott features, your computer's network with your on-air Scott System and your Scott Production Bank must be functioning and you must be logged in. You must know the drive letters mapped in your network for your on-air computer (SS) and your production bank computer (PB). The Scott Configuration at the bottom of the menu must be set up first. The other Scott functions will not work until you set the Scott Parameters.

Add PB Titles:
No more retyping in MusicMix everything you just typed in PB! Select Add PB Titles and everything on your hard drive winds up in MusicMix. MusicMix uses the last built Scott TOC to import titles. Before you attempt to Add PB Titles, you should rebuild the TOC on the Scott PB. Be certain that any categories you expect to import are set to be included in the TOC.

When you select "Add PB Titles," you will be asked which bins to import. To import all bins in the Scott PB that are not in MusicMix, leave the option blank. If you interested in only certain bins, list them separated by commas. The system will then import titles. A window pops up to tell you which bins it found in the TOC file. It also lists how many of the titles already exist in MusicMix and which ones do not (based on Source; Bin, and Source Number). Press Enter to display titles found which are not in MusicMix. If there are titles you do not want to import, highlight the title and press Del. If you like, press F7 for a printed list of titles found. Press F8 to actually add the titles from the Scott PB Into MusicMix.

Next, a browse edit window lists all titles found in PB not already in MusicMix. You may manually add tempos, genders, rotations left blank or other attributes.

This even works on new systems. At install time, you can import the entire PB hard drive.

Note:
Do not use the double-quote {"} character when you enter titles, artists, etc. in the P.B. It will cause incorrect data exports into MusicMix.

Zero PB Titles:
This is a house cleaning chore to do after you have erased some titles from the Scott PB. The system looks for items that do not exist on the PB, but which do still have Music or Event Sources designated as "Hard-Drive Sources" in the Scott Configuration area of MusicMix. Performing this process insures that MusicMix will not try to schedule things that do not exist on your PB hard drive.

First, the system will import titles. A window pops up to tell you which bins it found in the TOC file. It also lists how many of the titles exist in MusicMix but were not found on PB (based on Source; Bin, and Source Number). Press Enter to display those titles If there are titles you do not want to zero out, highlight the title and press Del. Press F8 to actually remove the source-number of the titles in MusicMix. A window will pop up showing how many titles will be zeroed. You must then enter a rotation category or events category for each "zeroed" item. Use a category that is not being scheduled on-air so that the non-existent items will not be scheduled. (This is when a "hold" category in both rotations and events comes in handy.) The system then blanks each selected item's Source, Bin, and Source Number, and moves the item to the rotation or event category you have indicated.

Reconcile Playlist to Air:
If you want to be sure that MusicMix reports really reflect what happened on the air, you can reconcile your playlist each day.

Enter the date for reconciling. You will see (in this order):
1) Those songs that were not scheduled by MusicMix, but were manually played by DJs.
2) Songs that were manually deleted by DJs.
3) Songs that did not get played due to Scott time jumps (soft syncs and hard syncs).

A window will ask you to confirm the reconcile. MusicMix will update its schedule to reflect the new information. If your on-air people added or deleted songs, or if the Scott system drops titles because of time-jumps. . . your playlists and MusicMix reports will now reflect what really happened. In addition, deleted titles are "moved up" in the MusicMix scheduling process to get them rescheduled quickly since they did not play as expected. Titles manually added by on-air personnel are "moved down" so they will not play again so quickly.

Even if you don’t care about reconciling, you’ll enjoy simply using this feature to view what is being manually added and deleted by on-air personnel. You hear a song that you don’t think was scheduled… call up the reconcile window for today’s date and say what’s being changed on-air.

Log Files:
This is the same as Log Files under Utilities. It also still exists there. It also exists here since it’s logical that it belongs on the Scott menu pad, but must also still reside under Utilities for stations without a Scott menu pad.

Scott Configuration:
PB Import Rotations:
You may give MusicMix information about each category in your PB. This way, when you add titles from PB, MusicMix can do a better job of correctly coding music and events. In column one enter the three character Scott category name. Then tell MusicMix if each area contains music (M) or program events (E). Finally, enter the normal MusicMix rotation (or event code) for each PB category. If you import items that reside in bins that you have not set up on this screen, MusicMix will import those items as music (rather than events) with a blank rotation code.

Example:
Assume you have a category called "120" in the Scott PB where you record your new adds each week. Assume your rotation code for new music is "C3." In configuration, you would enter 120 in the "Bin" column, M in "Event or Music," and C3 for "Normal Rotation." When you select "Add PB Titles," MusicMix automatically places the cuts you recorded in category 120 in your "New Music" rotation.

A menu at the top of screen allows you to Search for, Add, or Delete Scott bins in the browse area.

Scott Parameters:
The system needs to know a little about your network to use the Scott features.

The Scott system creates "Air" files (ex: 960101.AIR for on-air information on 01/01/96) on your on-air computer as it plays material on air. Whenever you build a TOC, the Scott system creates a file called "SPOTDTA.ASC" on your production bank computer. Enter the network drive name and path for these file types (ex: G:\PB\TOC\)

Next, fill in "Bins to Ignore in Scott PB Imports." Your PB TOC build will likely include categories that have nothing to do with MusicMix (like commercials). List those categories (separated by commas) so that MusicMix will not try to import them along with music and program events that it needs.

You must also list the MusicMix music and event sources used on your PB (normally DA and VO).

------------------------
See Also: Technical Specs; Scott Studios


Utilities

Select Utilities from the main menu for various system components and tools. The choices of the Utilities menu are:

  • Batch Edit: Allows mass changes or deletions to the music library based on common traits of a set of titles.
  • Shuffle: Allows you to occasionally "mix-up" the music library to assure maximum randomness in playlists.
  • Rebuild Databases: Reorganizes and compacts your databases.
  • Back Up Data: Copy critical MusicMix data to floppies or other network drives.
  • Restore Data: Retrieve backed-up data into MusicMix.
  • Voice Tracking Grid: Set up criteria for stations that do not create daily voice tracks, but track the library all at once.
  • Reset Counter: The system keeps track of how many times each title is played. You may reset the counter to track play beginning at a specific date.
  • Printer Set Up: Change the default windows printer from within MusicMix.
  • Log Files: Create files needed for digital automation.
  • Options: Set global settings for MusicMix scheduling, airplay history, playlist appearance, reminders, and rotation screen stats.


Batch Edit

From the Utilities menu, choose Batch Edit.

This section allows you to make several changes to the music database at once. You may change or delete one characteristic to all songs that match any one characteristic.

Examples:
You decide to change the GENDER attribute of all titles by "HEART." You'll change the gender from GROUP to FEMALE to better protect them against other FEMALE Artists. You could individually edit each "HEART" title, but Batch Editing lets you take care of all titles in a few keystrokes.

You have several titles that have accumulated in your "Hold" rotation. You decide to delete them all permanently. With a few mouse clicks in Batch Edit they're gone.

Batch Editing is a very powerful section. Your actions here can affect hundreds of titles! You might consider, backing-up your data first. Don't worry, though. You'll be given pleanty of chance to verify your choices and cancel if you wish.

To Batch Edit or Batch Delete:

1) You may either Edit or Delete the titles you designate. Select Edit to change any single characteristic, or Delete to remove the titles permanently.

2) Select the characteristic that titles must match for the title to be selected for Editing or Deleting. A drop-down list of characteristic types (Artist, Title, Rotation, Attributes, etc.) is available. Select by clicking the down arrow and then clicking on the characteristic you want. (In the Heart example above, you would select "ARTIST" since you want to change all titles with the same artist).

3) Enter the specific data that must be matched for the characteristic you designated. (In the example above, you would now enter "HEART"). Be aware that the system considers a match to be any title that starts with the same characters that you enter. If you entered only "H" as the artist, the system would match (and change or delete) every Artist that starts with "H."

4) Delete: If you selected "Delete," click "Apply."

Edit: If you selected "Edit," you'll now specify how to change titles that match what you've just designated. Select the characteristic you want to change. Enter what value should be used for the changed characteristic. Click "Apply."

Now you'll see the batch processes preview screen.

Here you may remove check marks for any titles that you do not wish to include in the process, or cancel the process completely.

Notes:

You can edit items by changing the same characteristic you're using to build the match...

Example:
Change titles with ARTIST of "Young Rascals" to ARTIST of "Rascals"
Or you can change a different characteristic based on the match characteristic...

Example:
Change titles with ARTIST of "Eagles" to ROTATION of "Power Gold"
You also may enter {?} (a question-mark) in the "Change To" box for the new characteristic. In this case, the system will locate each match, and pause allowing you to enter your choice of new data in the characteristic you have selected to change.


Shuffle

Shuffle Titles

From the Utilities menu, choose Shuffle Titles.

"Shuffling" the music library is totally optional... it's possible that you may never need to do it. You shuffle titles to further randomize the scheduling process. When scheduling each rotation, the system always tries to play the song that has not been played for the longest period of time. This doesn't mean your music will simply play in the same order repeatedly. Your scheduling rules will prevent this from happening, and a natural randomizing will occur. Occasionally, however, you may wish to start from scratch... mix up the library. You also should shuffle whenever you add a large number of titles to one rotation. This is because any title you just added will be the one that the system will try to select first. If you add 50 new oldies, the system will schedule them one after another when it schedules your "Oldies" rotation. Even after shuffling, the system will still honor your Previous Days protections. It will simply ignore how long ago the title was played except for Previous Day rules.

You'll be asked to select all rotations that you would like to shuffle. The system next "shuffles" the rotations you selected. Although we call "shuffling" a "randomizing" process, the system actually doesn't rearrange titles "randomly." It tries to spread titles' characteristics evenly through the library.


Rebuild Databases

From the Utilities menu, choose Rebuild Databases.

This option reorganizes and compacts your databases. Often when things seem to appear out of order, rebuilding will solve the problem.

The MusicMix data is stored in files with the extension ".DBF". It is kept in order with associated index files ending in "CDX". Selecting Rebuild Databases re-creates the CDX index by sorting all of the data from scratch. Normally indexes remain intact, but in a power failure, or if someone turns off or re-boots the computer without exiting MusicMix, the DBF file may be sitting in a different state than the CDX file.

Most stations routinely Rebuild once a week or so, just to keep files compact.

------------------------
See Also: Back-Up Data


Back-Up Data

From the Utilities menu, choose Back-Up Data.

The "Back-Up Data" option allows you to protect your MusicMix files without leaving the program. You can back up to a floppy, memory stick or to a different directory on your hard disk (or on a different hard disk on the network).

If you want to use a CD ROM for your MusicMix backup, the best method is to backup to a temporary folder on your hard drive, then use your CD burning utility that came with your CD R/W drive to copy the backup folder to the CD ROM.

------------------------
See Also: Restore Data


Restore Data

From the Utilities menu, choose Restore Data.

"Restore Data" allows you to pull the data from your back-up disks (created in Utilities; Back-Up Data) into the system. Remember that restoring reverts everything back to where you were when the system was last backed up.


Voice Tracking Grid

From the Utilities menu, choose Voice Tracking Grid.

The voice tracking grid is used only for "Title-Matched" voice tracks. (See Voice Tracking for a description of the three types of voice tracks and complete instructions for setting up Title-Matched tracks.)

Fill in each hour of the grid with the initial of the announcer who will voice-track the hour. That initial is used to designate the bin where tracks will be recorded.

You can copy one day to another by highlighting the day to be copied and selecting "Copy Day." Select the day to copy to from the pop-up menu.

-----------------------
See also: Voice Tracking


Reset Counter

From the Utilities menu, choose Reset Counter.

The system keeps track of how many times each title is played. This information is available in the Playlist History Report in the Analysis section of Reports. There are two counters. One maintains a running total beginning the day the title is added. The other maintains a total since a particular date. This is useful to see airplay totals of various titles over a specified period of time.

Select Counter Reset at the Utility menu to begin counting play of titles starting with the next playlist generated. Resetting this counter has no effect on the permanent over-all running total counter.

------------------------
See Also: Analysis Report, Statistics


Printer Set-Up

Printer Selection

From the Utilities menu, choose Printer Set-Up.

To use a printer other than the default Windows printer, you may change it here.


Log Files

From the Utilities menu, choose Log Files.

If you use digital automation which reads a log file, it will need daily playlist logs and a complete music library log.

Set Path:
You must designate a path on your computer where log files will be stored. On a network, you'll indicate the directory name where your automation looks for the files. If you use a floppy disk to manually transfer log files, you'll designate the drive letter (i.e. A:). Click Set Path to select the folder where you will store log files.

Playlist:
Normally your playlist log-file is generated automatically when you create or edit your schedule (if "Log File" is checked on the first Create Schedule screen). You can re-send the log file here by entering the date of the playlist.

Library:
Create a file of all titles used by your system. This is used by your digital automation to create the list of titles available for manual insert. You'll be asked for rotations to include so that only those titles in the categories you choose will be included in the library log file.

Use Log File Options:
Normally, you'll select the first option corresponding to your station's digital automation system. This will create a log file designed according to specifications provided to MusicMix by the automation manufacturer. Select the second option -- Custom to create your own layout design for your log output file if you have special needs. Clicking Custom will cause the system to subsequently output all log files in your custom format.

Custom Log Files:

To create the custom log file layout, click Design after selecting Custom. Here, you may select the fields that you want to include in your log file and specify how it should be named.

Log File Names:
Log files are always named using digits or characters corresponding to the playlist date. Select the format you want from the Log File Naming dropdown (M= Month, D=Numeric Day, Y=Year, W=Characters in Day-of-Week). You may also enter specific characters that should precede or follow the date portion of the filename. The file's extension may be any three characters (normally LOG, TXT or ASC).

Log File Structure:
Normally the file is simple text with columns determined by the width you specify in the table. (Tip: Make all widths 1 character wider than the default to put a space between columns). Click Delimited if you would like each field in the file surrounded by quotation marks and separated by commas.

------------------------
See Also: Automation Basics, Technical Specs for your station's automation system


System Options

Setting System Options

From the Utilities menu, choose Options.

This section provides several miscellaneous options for creating your playlists and general system operation. There are five page tabs: General, Scheduling, Playlist, Rotations, and Passwords.

General:

Use Day-of-Month Voice Tracking?
For intros and outros, click the check-box to cause MusicMix to insert day-of-month voice track numbers (V01, V02, etc.) rather than day-of-week numbers (VMO, VTU, etc.) as it does by default. (See Voice Tracking).

Show back-up reminders:
If you haven’t backed-up within MusicMix lately, a reminder widow pops up at system start-up. Some stations have external back-up regimens and don't use the one inside MusicMix. The reminder message then becomes a nuisance. You may turn it off here.

Show four digit years:
You may choose to enter four digits (i.e. 2000) for the year in places in the system where date calculations occur (reports, logs, scheduling). Even without using four-digit years, the system will normally apply two digit years greater than 70 to the 1900s and less than 70 to the 2000s. If you want even greater control, you may turn on four digit years to allow entry of the specific dates.

Disable left zero pad for source and cut numbers:
Normally MusicMix adds zeros to the left of a number if it is fewer than 4 digits in source or 2 digits in cut. For example, if you enter a source of 60, MusicMix changes it to 0060. If you enter a cut of 1, MusicMix changes it to 01. If this feature is disabled, MusicMix always leaves Source and Cut numbers just as you enter them. This is sometimes necessary for those digital audio systems which use a combination of source and cut numbers as audio filenames, and you do not wish to add zeros within the input.

Require Pressing Enter to Move Out of a Field:
When checked, your cursor will stay in the field you're working on until you move it out by pressing enter. When unchecked, the cursor moves to the next field whenever the current field becomes full whether Enter is pressed or not.

Scheduling:

Same source back-to-back:
If your station uses CDs or other music media which does not allow playing two songs from the same source number back to back, you must indicate that option here. (If your automation system does not use Sources, this choice may not appear).

Disable time-jogs:
MusicMix has a feature called Time-Jog which attempts to keep a title from playing in the same or adjacent hour to any hour where it has recently played. This is nice for balance, but can make scheduling take much longer. If you want to speed things up, disable time jogs here. You can also change time jog setting in rotations for each category. (See Rotations)

Number of days to hold titles in music history:
The number of days titles should be held depends on two criteria:

1) How far back would you like to be able to see airplay history?
2) How many days back would you like the system to check for Previous Day protections?

Multiple of search depth:
This setting is used for those format clock slots where a specific attribute is forced (see Format Clocks). You may want to allow the system to "dig" deeper into a rotation, thus improving the chance of playing the attribute being forced. The number you enter will be multiplied by the normal "depth" for the rotation in question. To allow only normal search depths with forced attributes, enter 1.0.

Example:
You are forcing an "Up-Tempo" Power-Gold at the top of the hour. You have set the normal Power-Gold search depth at 10 songs. A search depth multiple of 2.0 would allow searching through 20 songs to find the "Up-Tempo"

Do not schedule source ___:
This is useful if, for example, a CD player is down. Select this one, and MusicMix skips all titles loaded in that machine when scheduling. (If your automation system does not use Sources, this choice may not appear).

Playlist:

Truncate artists and titles on playlists:
If your playlist columns are narrower than the full width of artist and title names, MusicMix normally spreads a long name over two or more lines in the column. If you do not want this behavior (to save paper perhaps) click the check-box to truncate down to the column width.

Line spacing:
By default playlists are printed single spaced. Here, you may designate double or triple spacing if you wish.

Rotations:

Rotation screen stats:
At the bottom of the rotation screen, you'll see predicated music repetition for each category based on a seven-day 24-hour schedule. If you’d like to see those statistics for some other schedule instead, set it up here. You may force MusicMix to show those stats for only certain days of the week and only certain dayparts.

Passwords:

The password protection screen allows you to provide access to MusicMix only to those staff members who are authorized, and allows selective access to different areas of MusicMix. This means that you can still allow anyone to run a schedule if needed, but they can’t edit title or format clock information.

Passwords are optional. If none are listed in the "Users" window, no log-in screen will appear when MusicMix is started. As soon as you add one (or more) user names, MusicMix will require a log-in at startup.

Click Add to create a new password. Enter a user name of your choice and set a security level for that user. A user's password defaults to the first 10 characters of the user name you enter. The user may (and should) change it upon logging in to MusicMix. There are four possible security levels:

  • 90 - Unlimited Access.
  • 80 - Allow scheduling/ reports and report design. No other editing.
  • 70 - Allow scheduling and reports. No report design. No other editing.
  • 10 - Allow scheduling only.

Be certain that you set at least one user to level 90, so that someone can add, edit and delete titles and format clocks. Be careful about how many level 90 users you assign. A level 90 user can access this password area, and so can add, change or remove any and all other users.

There are two check box options on the password screen:

  • Allow anyone (even those without passwords) to create playlists?
    We recommend checking this box. If someone forgets to run a playlist, and it needs to be done late at night or on the weekend, this allows access to the "Create Playlist" button on the main menu, even if a user has no username.
  • Disable all password protection.
    All user names will be removed and no log-in box will appear at startup if you check this box.

If user names have been set up, a log-in window will appear each time MusicMix is started. Users must enter their user name as you have set it here, and their password. After a correct name and password are entered, the "Change to new password" check-box becomes active. Clicking here allows users to create their own password which will be required on subsequent startups. If the "Allow anyone..." checkbox was selected (see above) in password setup, a push button called Open Without Password also appears on the login screen. Clicking this button starts MusicMix, but allows access only to "Create Playlist," "Help," and "Quit."

------------------------
See Also: Create Playlist, Rotations


Using Help

There are several ways to get help in MusicMix.

  • View the "Contents" to the left and select a topic.
  • Click a link within a topic to find more details
  • Use the "Index" for a more detailed list of subjects.
  • Use "Search" to locate all occurrences of any word or phrase in the system.

Context-Sensitive Help:

Press F1 anywhere in the system to receive help related to the item you were working on at the time.


Using Menus

At many places throughout the system (including the main start-up screen), there are menu bars stretched across the top of the screen.

To activate and a menu:

With a mouse...
Click on the choice you want with the left button.

With the keyboard...
Press and release the Alt key by itself. When the menu is active one of the choices will be highlighted. Pressing enter will perform the highlighted action. You may highlight another choice by pressing the first letter(s) of that choice, or by using the right or left arrow keys to move the bar to that choice.

Notice that beside some menu options there is also a "hot key" listed (F7, Ctrl-T, Alt-A, etc.) Some menu choices have a single character underlined. You may activate that choice by holding {Alt} and pressing that key. After you become more familiar with the system, you may choose to use these keys to perform actions rather than going through the menu. Think of hot-keys as a short-cut to the menu action. The hot-key is much faster, but until you memorize all the possible hot-keys, the menu is much more user-friendly.

Some menu selections immediately perform an action. Others activate a second list of choices (called a pull-down menu). Select from those options as you would a menu-bar item, except you'll now be using up and down arrow keys.


Using Scroll Bars

Several windows throughout the system include a "scroll bar" to the right (or across the bottom) of the box. (This Help Window is an example). A scroll bar consists of arrowheads at the top and bottom (or right and left) ends of the border with a diamond in between.

A scroll bar's existence normally indicates that all of the information in the current area is not visible in a single window's space. In the Reports section, it is especially important to notice a scroll bar across the bottom of a Browse window. This indicates that additional columns exist beyond the right edge of the screen.

Scroll Bars are used with the mouse. Click the left button of the mouse on the arrowheads to move up or down (or right or left) one line at a time in the window. Click between the diamond and an arrowhead to move up or down (or across) one windowful at a time. Drag the diamond by holding down the left button to move to a relative position in the window. Click and hold down the left button on the arrowhead to scroll continuously.


Using Windows

Using MusicMix Windows

"Browse" windows are used to display data in a columnar fashion (such as in the Titles section and in Reports Output). When viewing a "Browse" window, you may use the mouse to manipulate columns inside of each window and to manipulate the entire window.

Moving within a window with a mouse...

Simply point at the item you wish to edit and click. Use scroll bars to move to items not presently displayed.

Moving within a window with the Keyboard...

Use the up and down arrow keys, or Page-Up and Page-Down keys to move vertically within the windows (from item to item). Use the right and left arrow keys, or Home and End keys, or press Enter to move horizontally within windows (from column to column).

To manipulate browse columns within windows with a mouse...

To change the width of each column in a browse window, click and hold down the left mouse button while pointing at a column divider. Drag the divider to make the column narrower or wider. Changing the column size does not change the amount of data that will fit in any column, only its display width. If the width is narrower than the data, the line will scroll as you add more data or move the cursor across the line. If the width is wider than allowable data, the cursor will move to the next column at the end of the allowable size.

You may also change the order of the columns. To move a column, click and hold down the left mouse button while pointing at a column heading. Drag the column to the new position in the window.

Columns may not be adjusted using the keyboard.

When you exit from a screen containing windows and then return to it, all windows and columns will return to their normal sizes and positions.


Using The Mouse

Using a Mouse

Although the system is designed to function in data entry areas with just your keyboard, it's sometimes easier and quicker to use with a mouse.

In most screens, you may jump around the screen to choose items you want by simply clicking on the appropriate line. It isn't necessary to move in a linear fashion as it is with the keyboard. In browse screens, use the mouse to navigate throughout the data, using scroll bars at the right and on the bottom of the browse windows. If the line you want is not visible in the window, use the scroll bar on the right of the window. You may also change the layout of browse windows quickly and easily with the mouse.

In multiple choice boxes pop-up windows use the mouse to make your choice. Click to move to a selection. Double click to actually choose the option. (Hint: you can tell if you need to single click or double click by looking at the design of the window. If there is a scroll bar along the right edge of the window, you'll need to double-click to make a selection, otherwise a single click will do.)


Using the Keyboard

Cursor Movement Keys

Key: | Cursor Action:
Esc | Exits current activity
Right Arrow | Moves one character to the right
Left Arrow | Moves one character to the left
Up Arrow | Moves up one line
Down Arrow | Moves down one line
PgUp | Moves up one window of text
PgDn | Moves down one window of text
Home | Moves to beginning of current line
End | Moves to end of current line
Ctrl-Rt Arrow | Moves one word to the right
Ctrl-Left Arrow | Moves one word to the left
Ctrl-Home | Moves to beginning of text
Ctrl-End | Moves to end of text
Backspace | Deletes character left of cursor
Delete | Deletes character that cursor is on
Ctrl-Backspace | Deletes word in which cursor is positioned. If cursor is positioned on blank space following word, space and previous word are deleted
Ctrl-Y | Deletes through the end of the current line. (Useful in data entry for clearing an entire data-box.)

Inserting Text

Pressing the Insert key toggles between insert and overwrite mode. The cursor looks like a flashing underscore when you are in insert mode. Typing a character in insert mode inserts it at the cursor location to the left of existing text.

In overwrite mode, the cursor is a solid flashing box. Each character you type replaces the character that the cursor is on.


Digital Automation

Using MusicMix With Digital Automation

Basics

MusicMix must export a "Daily Log File" that will be read by your automation system's merge/scheduling software to let the automation know about your daily music schedules. For most systems, you may also export a "Library" file that will compile a listing of all titles in the system (for manual song selection).

Building Log or Library files

Select "Utilities" from the MusicMix main menu and then select "Log Files." Fill in the directory name that your automation system looks for to find your music files. (Or if you transfer files with a floppy disk, fill in A: or B:). For the library file listing your complete music database, you'll be asked which rotations to include. Include only those with music loaded in your automation system. For daily log files, enter the playlist date you'd like to export.

------------------------
See Also: Technical Specs; Scott Studios, Technical Specs; Arrakis, Technical Specs; Bdcst Prog


Tech Specs: Arrakis

Using Arrakis Systems Digital Automation

This file output is used for both Arrakis Digilink and X-treme. Arrakis requires a unique one to eight character file name on your hard drive for each audio event.

In MusicMix, the following Source Codes may be used for special items: Source "CD" or "TR" are used for CD players. Source "VO" (Voice-Overs) is used for specific title Intros and Outros.

"VO" Source (intros and outros):
The file name will become the letter "V", followed by the first two days of the week, followed by a four digit number which corresponds to the time the Voice-Over is scheduled (in military time). For example a Voice-Over scheduled on Monday at 12:01 PM would be recorded on the hard drive in a file named "VMO1201", Tuesday at 1:11 am would be "VTU111". For events with Source of "VO", any "Source Number" or "Bin" will be ignored.

"CD" or "TR" Source:
The file name becomes "CDxxyyzz" where "x" is the Bin (magazine), "y" is the Source Number (disc number), and "z" is the cut number.

Blank Source:
The file name becomes the first 8 characters of the ID field.

For all other Sources:
The file name becomes "SSyyyyzz" where "SS" is the Source, "y" is the Source Number, and "z" is the cut number.

Technical Information:

1) The daily playlists are output to the user selected path as "Tmmddyy.DIG" where "T" is constant, "mmddyy" is month, date, and year of the playlist. They are erased after 14 days.

2) The library file is output as "LIBRARY.DIG" to the same path.

3) Both files are standard ASCII Standard Data Format text files with one record per line. Records are delimited by CR/LF, fields are delimited by spaces.

Log File Structure:

Column: Width: Data:
1-2 2 "03" event type; constant
4-11 8 Source number (see above)
13-21 9 Artist
22-36 14 Title
38-41 4 Numeric Duration; seconds
43-43 1 Numeric day of week (Sun is 1)
45-46 2 Numeric scheduled month
48-49 2 Numeric scheduled day of month
51-52 2 Numeric scheduled year
54-55 2 Numeric scheduled hour (military time)
57-58 2 Numeric scheduled minute
60-61 2 Numeric scheduled seconds
63-64 2 Numeric kill month
66-67 2 Numeric kill day of month
69-70 2 Numeric kill year
72-73 2 Intro
75-75 1 "Extro" (ending)

------------------------
See Also: Automation Basics, Log Files, Events, Voice Tracking


Tech Specs: AudioVault

Using Audiovault Digital Automation

This format is based on the "RCS-SelectorSAL" output format described in Audiovault documentation. Audiovault users should set their Audiovault Import Option DLL to “IMP_SelectorSAL.dll”

Technical Information:

1) The daily playlists are output to the user selected path as "mmddyy.ASC" where "mmddyy" is month, date, and year of the playlist. They are erased after 14 days.

2) The file is an columnar ASCII Standard Data Format text file with one record per line. Records are delimited by CR/LF, fields are not delimited.

Log File Structure:

Column: | Data:
1 | Event Type > is entered for Music ~ is entered for Events
2-9 | Scheduled Time ( hh:mm:ss)
10-14 | [blank]
15-27 | Filename (MusicMix ID)
28-31 | Media Code
32-51 | Artist; (Event Category)
52-71 | Title; (Event Specific Item)
72-76 | Duration (MusicMix Time)
77-78 | Intro
79 | Ending
80 | Action Code Music is always X - Play & Autosegue For Events, Use the "Link" Field With: - - Stop & turn off autosegue + - Play & link to next @ - Play & link to previous # - Play & link to previous & next

Special notes for Audiovault users:

  • Media Codes: Normally for music, the media code is "MUS" music. Normally for events, the media code is "AUD" audio. Events may have sepcialized codes, however, including: SWP-Sweep, COM-Commercial,VTK-VOice Track, PRO-Promo, ID -ID, SAT-Satellite, LMS-Comment. In addition, and event may be a command (CMD) or and update (UPD) -- see below.
  • Commands: Create an EVENT with "CMD" as the media code. Enter the command type in the "Specific Item" field (STP; OFF; RON##; ROF##; RMO##, DSB, ENB)
  • Updates: Create an EVENT with "UPD" as the command code. Enter the update time (mm:ss).
------------------------
See Also: Automation Basics, Log Files, Events, Voice Tracking


Technical Specifications: BSI

Using BSI Wave Station Digital Automation

MusicMix allows three methods of log output for BSI. The method you'll use is determined by your initial system setup, and your stations specific needs.

BSI assigns a unique file name on your hard drive to each audio event.

  • Standard BSI setup:
    For all sources other then "V", the file name becomes "SSSS-CC" where "SSSS" is the Source Number and "CC" is the Cut number.
  • Alternate BSI Setup (BSI2):
    For all sources other then "V", the file name becomes "BBBSSSSCC" where "BBB" is the Bin Number, "SSSS" is the Source Number and "CC" is the Cut number. Your file name can be up to nine characters with this setup. No hyphens are inserted. Any blanks within bin, source, or cut are removed.
  • Alternate BSI Setup Using IDs (BSI3) -- [preferred]
    The file name is the first nine characters of ID.

    BSI also uses a "Cueing" code (+, @, # or blank). All music is MusicMix is automatically assigned a code of "+". For events, you must assign the code in the "Sync" field.

    Voice Tracking:
  • BSI and BSI2
    For "V" Source Events, the file name will become the letter "V", followed by the first two letters of the day of the week, followed by a four digit number which corresponds to the time the Voice-Over is scheduled (in military time). For example a Voice-Over scheduled on Monday at 12:01 PM would be recorded on the hard drive in a file named "VMO1201", Tuesday at 1:11 AM would be "VTU0111". For events with Source of "V", any "Source Number" or "Bin" entered by the user will be ignored and replaced with the above data.
  • BSI3
    Enter "VTRK" as the ID when you create the voice track event. For example: If you're using "normal" voice tracking MusicMix will replace the ID with "VMO1234" where "VMO" means Monday, and "1234" means a track scheduled at 12:34 pm. If you're using "day-of-month" voice tracking, MusicMix will use "V311234" where "V31" means the 31st day of the month.

    Technical Information:

    1) The daily playlists are output to the user selected path as "mmddyy.ASC" where "mmddyy" is month, date, and year of the playlist. They are erased after 14 days.

    2) The log file is a standard ASCII Standard Data Format text files with one record per line. Records are delimited by CR/LF, fields are delimited by spaces (position dependant).

    Log File Structure:

    * Standard BSI Setup:
    Column: Width: Data:
    1 | 1 | Cueing Code (see above)
    2-9 | 8 | Scheduled Air Time
    10-17 | 8 | Audio File Name (Source-Cut) (see above)
    18-22 | 5 | Length
    23-30 | 8 | Left 8 chars. of Info/Trivia ("Add'l Info" in Events) for BSI Category
    31-80 | 50 | Left 25 chars. of Artist+ Left 25 chars. of Title

    * Alternate BSI Setup (BSI2):

    Column: Width: Data:
    1 | 1 | Cueing Code (see above)
    2-9 | 8 | Scheduled Air Time
    10-18 | 9 | Audio File Name (Bin+Source+Cut) (see above)
    19-23 | 5 | Length
    24-31 | 8 | Left 8 chars. of Info/Trivia ("Add'l Info" in Events) for BSI Category
    32-81 | 50 | Left 25 chars. of Artist+ Left 25 chars. of Title

    * Alternate BSI Setup (BSI3):

    Column: Width: Data:
    1 | 1 | Cueing Code (see above)
    2-9 | 8 | Scheduled Air Time
    10-18 | 9 | Audio File Name (First 9 Characters in ID) (see above)
    19-23 | 5 | Length
    24-31 | 8 | Left 8 chars. of Info/Trivia ("Add'l Info" in Events) for BSI Category
    32-81 | 50 | Left 25 chars. of Artist+ Left 25 chars. of Title

    ------------------------
    See Also: Automation Basics, Log Files, Events, Voice Tracking


Tech Specs: Broadcast Programming

Using Broadcast Programming Digital Automation

MusicMix offers this log format which is used when the log system is set to "BE," and another format which is used when the log system is set to "AUDIOVAULT" (see "Using Audiovault Digitial Automation"). The AUDIOVAULT format is based on the "RCS-Selector" output format described in AudioValut documentation. Audiovault users may use either format.

The Broadcast Programming "Core" controller or Audiovault allows you to set up a configuration file specifying how various music scheduling information will be located. The output file from MusicMix listed below must match your BE configuration set-up where you can indicate which columns you'll use.

Of greatest importance will be the duration, source ID, shelf ID, and track ID columns since they are used to direct the automation to the appropriate titles. (MusicMix's "Bin" field is not used.)

Technical Information:

1) The daily playlists are output to the user selected path as "mmddyy.ASC" where "mmddyy" is month, date, and year of the playlist. They are erased after 14 days.

2) The library file is output as "LIBRARY.ASC" to the same path.

3) Both files are standard ASCII Standard Data Format text files with one record per line. Records are delimited by CR/LF, fields are not delimited.

Log File Structure:

Column: | Width: | Data:
1-6 | 6 | Event number; hhmmss scheduled time
7-14 | 8 | Duration hh:mm:ss
15-16 | 2 | Source ID (Source in MusicMix)
17-20 | 4 | Shelf ID (Source Number In MusicMix)
21-22 | 2 | Track ID (Cut Number in MusicMix)
23-52 | 30 | Title
53-77 | 25 | Artist
78-79 | 2 | Intro
80-80 | 1 | Ending

------------------------
See Also: Automation Basics, Log Files, Events, Voice Tracking


Technical Specifications: Computer Concepts

Using Computer Concepts (DCS) Digital Automation

Of greatest importance is the four-character Source Number in MusicMix. This is how Computer Concepts finds songs. MusicMix's "Bin" and "Cut" fields are not used.

SOURCES:
As listed below, Events s should have a Source of "DC". Songs should have any other Source (NOT "DC").

DCS EVENTS:

There are special "DCS_" functions or directives which should be entered in MusicMix Events. They must have a SOURCE of "DC". Put exact text of DCS_ Function in "Specific Item" beginning with data after "DCS_" EXAMPLE: DCS_HR would be entered in Specific Item as HR.

Computer Concepts has provided the following list of important events. Notice that the first three must occur at the top of each hour's format clock.

DCS_HR
This needs to be the first event of the hour, when the log merge process is done, this line gets discarded.

DCS_DIRECTIVE_LP_00_0000_DESCRIPTION
This needs to be the next line in each hour, it helps mark the start of the hour and also loads and plays the carts that are attached to this directive at the top of hour. The four zeros equal the length of the directive. Use all zeros when your station is using music off the hard drive, that way the DCS system doesn't try to put filler material into the hour.

DCS_CART_VT_????_MMSS_DESCRIPTION
This event allows you to place a direct cart call on the music log.
???? = cart number.
mmss = the approximate time the cart would play.
Place this type of event right after the Top of hour directive/event.

DCS_FUNCTION25_30_DESCRIPTION
This event should be placed at the bottom of each hour, it allows the DCS system to perform a log driven action. In this example it is Function number 25.

DCS_TRAFFIC_MERGE15
This is the marker that helps align the music log with the traffic log, Place this event at the stop set points of each hour.

Technical Information:

1) The daily playlists are output to the user selected path as "mmddyy.ASC" where "mmddyy" is month, date, and year of the playlist. They are erased after 14 days.

2) The library file is output as "LIBRARY.ASC" to the same path.

3) Both files are standard ASCII Standard Data Format text files with one record per line. Records are delimited by CR/LF, fields are not delimited.

------------------------
See Also: Automation Basics, Log Files, Events, Voice Tracking


Tech Specs: Digital Jukebox

Using Digital Jukebox Digital Automation

The Digital Jukebox output file is very simple. It includes only the hour (sorted by minutes within each hour even though they do not appear in the file) and the ID from the Inventory and Events screens. Since only the hour is exported, realize that in MusicMix the only use of minutes and seconds in a format clock is to determine the order in which items are exported.

Log File Name:

The daily playlists are output to the user selected path as "WWW_Mus.LOG" where "WWW" is the first 3 letters of the day of
the week and "_Mus.LOG" are constants.

Technical Information:

Column

Description
1-2 | Hour. In military time as 00 to 23 (with leading 0s' as necessary)
3 | Space.
4-8 | ID. The MusicMix ID field. (Digital Jukebox recommends using only up to a 5 digit cart number 00001 to 31000)


Tech Specs: Enco

Using Enco Digital Automation

The key to using Enco in MusicMix is proper entry in the Source and Source Number fields. The MusicMix Source is two characters. The first character must be filled in using the Enco "function" code:

  • A = Auto play (no overlap)

  • S = Segue

  • L = Auto Load (load next cut and stop down)

  • N = Normal (do not load next cut after playback)

  • C = Comment

Please note: Comments should be loaded in MusicMix as Events with a Source of "C".

The MusicMix Source Number is a four digit cut number. This number will be left padded with a zero to make up the Enco five digit number. If you wish a leading number other than zero, you may enter it as the second character in the Source field.

Examples:

MusicMix Source= N, Source Number= 1234. Enco Function is "Normal", Cut Number is 01234.

MusicMix Source= A1, Source Number= 5678. Enco Function is "Auto play", Cut number is 15678.

Log File Name:

The daily playlists are output to the user selected path as "mmddyy.ASC" where "mmddyy" is month, date, and year of the playlist. You'll browse to the appropriate date when you select the file for import into Enco.

Technical Information:

Column

Description
1-5 | Cut. 5 digits with leading 0s' as necessary.
6 Function.

  • A = Auto play (no overlap)

  • S = Segue

  • L = Auto Load (load next cut and stop down)

  • N = Normal (do not load next cut after playback)

  • C = Comment
7-14 | Delay. Always "0.00"
15-16 | Plays. Always "01"
17 | Secondary Cue. Always "0"
18 | Tertiary Cue. Always "0"
19 | Segue. Always "0"
20-27 | Scheduled Time. hh:mm:ss (hours, minutes, seconds)
28 | Begin End. Always blank. (1 space)
29-36 | Chain. Always blank. (8 spaces)
37-44 | Rotate. Always blank. (8 spaces)
45 | Type. Normally "P", except when MusicMix Source is "C" for Comment, then "C".
46-80 | Comment Text. Blank except for events with a Souorce of "C" for Comment, then text from "Event Name" and the first ten characters of "Specific Item."
81-90 | Line ID. Always blank. (10 spaces)


Technical Specifications: Media touch

Using Media Touch Digital Automation

Technical Information

Media Touch Log File Format:
The log file is named yymmdd.ASC (i.e. 001104.ASC).

Each line of the log file begins with "H", "M", "L", or "B" depending on how the item is input.

Hourly Header
MusicMix automatically creates this line each hour. You do not need to enter it in your format clocks. We suggest that you schedule your first event of the hour on your format clock at 00:01 or later to allow for the header at 00:00.
H00:0000:00mm-dd-yyyyDDDtttTT
where:
H00:0000:00 appears every hour
mm-dd-yyyy is the (month-day-year) date of the playlist being sent
DDD is the Day-Of-Week (i.e. MON)
ttt is AM/PM time (i.e. 12A, 1AM, 10P)
TT is the hour in military time (i.e. 00, 01... 23)

Music
Mmm:ssll:llssnnnnbbbaaaaaaaaaaaaaa\ttttttttttttttttiiee
where:
mm:ss is time as minutes and seconds in the hour
ll:ll is length, left padded with zeros as entered in MusicMix
ss is Source
nnnn is Source Number
bbb is Bin
a is Artist
t is Title
i is Intro
e is Ending

Events
If the event is what Media touch calls "Copy", you must enter a Source of T (text) when you set up the event in MusicMix. If the event has no cart number, you must enter a Source of L.
For other digital audio program events, you should fill in the source, bin, and number. They are used in the log file as follows:
Mmm:ssll:ll:C:bbb:ssnnnneeeeeeeeeeeeeeeeeeeeeeeee
where:
mm:ss is time as minutes and seconds in the hour
ll:ll is length, left padded with zeros as entered in MusicMix
:C: is constant
bbb is Bin
: is constant
ss is Source
nnnn is Source Number
e is Event Name

If the event has a Source of T (copy):
Lmm:ssll:ll:T:bbb:nnnn____eeeeeeeeeeeeeeeeeeeeeeee
where:
mm:ss is time as minutes and seconds in the hour
ll:ll is length, left padded with zeros as entered in MusicMix
:T: is constant
bbb is Bin
: is constant
nnnn is Source Number
____ is four spaces
e is Event Name

If the event has a Source of L
Lmm:ssll:lleeeeeeeeeeeeeeeeeeeeeeee
where:
mm:ss is time as minutes and seconds in the hour
ll:ll is length, left padded with zeros as entered in MusicMix
e is Event Name

If the source, bin and number are all left blank, the log file will replace them with characters from the "Specific Item" field on the Events input screen. This allows user-input of events that don't use normal sources, bins and numbers like time synch.
Lmm:ssll:lliii...iiiiiieeeeeeeee...eeeeeee
where:
mm:ss is time as minutes and seconds in the hour
ll:ll is length, left padded with zeros as entered in MusicMix
i is Specific Item using all characters that you enter (you must enter the exact sequence needed)
e is Event Name

Break Notes
If the Source in the Event is B, it's considered to be a "Break Note" rather than a normal digital event.
Bmm:ssll:lleeeeeeeeeeeeeeeeeeeeeeeee
where
mm:ss is time as minutes and seconds in the hour
ll:ll is length, left padded with zeros as entered in MusicMix
e is Event Name

Media Touch Library File Format:
===============================

The library (song title export) file is named LIBRARY.ASC.

Data: Length:
---- ------
Artist 15
Title 29
Intro 2
Ending 1
Source+Number 2+ 4= 6
Length (nn:nn) 5
Bin 3

------------------------
See Also: Automation Basics, Log Files, Events


 Tech Specs: NexGen

Using NexGen Digital Automation

The MusicMix log output file is formatted exactly like the "Selector/MusicMaster-New" interface file structure used by NexGen. Thus, in NexGen, you'll choose "Selector" as your music scheduler type.

You may utilize "Special Load Options" in MusicMix by create an event using the "Type" required in the Event's Sync and Link fields (see specs below), and the preset description names in the Event's "Specific Item" field..

Log File Name:

The daily playlists are output to the user selected path as "yymmdd.ASC" where "yymmdd" is year, month, and date of the playlist. You may need to set this up as a "Custom Filename" in NexGen.

Technical Information:

Column

Description
1-2 | Record Type. 03=Song, 04=Events, 08= Spot Block Marker, 09= Comment. Songs are automatically 03. Events are automatically 04 unless 08 or 09 are entered in events as Sync + Link. (Example: For a spot block marker, create an event in MusicMix and enter "0" in Sync and "8" in Link.)
3 | Blank.
4-11 | Event or Song Number. The number is the MusicMix ID. (Source, Number, Cut and Bin are not used for NexGen). Since this column is 8 characters, it will be left padded with zeroes.
12 | Blank.
13-36 | Description. The title of a song, or the specific item name of an event.
37 | Blank
38-41 | Duration in seconds.
42 | Blank.
43 | Playlist Day of Week. (1= Sunday, 7= Saturday)
44 | Blank.
45-46 | Playlist Date Month. (01-12)
47 | Blank.
48-49 | Playlist Date Day of Month. (01-31)
50 | Blank.
51-52 | Playlist Date Year. (00-99)
53 | Blank.
54-55 | Playlist Hour. (00-23)
56 | Blank.
57-58 | Playlist Minute. (00-59)
59 | Blank.
60-61 | Playlist Second. (00-59)


 Tech Specs: Profit

Using Profit Digital Automation

This MusicMix log output file is formatted based upon the "Powergold" interface file structure used by Wizard. Thus, in the Wizard, you'll choose "Powergold" as your music scheduler type.

Log File Name:

The daily playlists are output to the user selected path as "yymmdd.ASC" where "yymmdd" is year, month, and date of the playlist. You'll need to set this up as a "Custom Filename" in Wizard.

Technical Information:

Column

Description
1-25 | Title
26 | Blank.
27-51 | Artist
52 | Blank.
53-58 | Not Used. (0000000)
59 | Blank
60-65 | Event or Song Number. The number consists of the character "^" followed by non-blank characters in the MusicMix Source and Number. Source is expected to be a single digit number (zero if blank). The MusicMix "Number" field will be left padded with zeroes. (Example: Your song's Wizard ID number is 12345. You enter "1" in Source, and "2345" in number. MusicMix places "^12345" in this column.)
66 | Blank
67-93 | Not Used. (27 blanks)
94 | Blank
95-97 | Category. The MusicMix Bin.
98 | Blank.
99-100 | Cut. MusicMix Cut number left padded with a zero. (01-99)
101 | Blank.
102-103 | Length Minutes. (00-99)
104 | Blank.
105-106 | Length Seconds. (00-59)
107 | Blank.
108-111 | Duration in seconds.
112 | Blank.
113-114 | Intro.
115 | Blank.
116 | Ending
117 | Blank.
118 | Playlist Day of Week. (1= Sunday, 7= Saturday)
119 | Blank.
120-121 | Playlist Date Year. (00-99)
122 | Blank.
123-124 | Playlist Date Month. (01-12)
125 | Blank.
126-127 | Playlist Date Day of Month. (01-31)
128 | Blank.
129-130 | Playlist Hour. (00-23)
131 | Blank.
132-133 | Playlist Minute. (00-59)
134 | Blank.
135-136 | Playlist Second. (00-59)
137 | Blank.


Technical Specifications: RDS

Using RDS Phantom Digital Automation

RDS assigns a unique file name on your hard drive to each audio event. For all sources other then "V", the file name becomes the first eight characters of "BBBSSSSCC" where "BBB" is the Bin, "SSSS" is the Source Number and "CC" is the Cut number. Notice that you could enter up to nine characters if you use all fields, but Phantom will only use the first eight. You may leave any combination of the three fields (Bin, Source No., Cut) blank and the blanks will be ignored.

Voice Tracking:

For "V" Source Events (intros and outros), the file name will become the letter "V", followed by the first two letters of the day of the week, followed by a four digit number which corresponds to the time the Voice-Over is scheduled (in military time). For example a Voice-Over scheduled on Monday at 12:01 PM would be recorded on the hard drive in a file named "VMO1201", Tuesday at 1:11 AM would be "VTU0111". For events with Source of "V", any "Source Number" or "Bin" entered by the user will be ignored and replaced with the above data.

Technical Information:

1) The daily playlists are output to the user selected path as "?mmddyy.MUS" where ? is "A" if "AM" is included in your call letters and is "F" otherwise. "mmddyy" is month, date, and year of the playlist.

2) The log file is a standard ASCII Standard Data Format text files with one record per line. Records are delimited by CR/LF, fields are delimited by spaces (position dependant).

Log File Structure:

Column: Width: Data:
1 9 At top of each hour: ">" + Scheduled Air Time,
For each slot in hour: Audio File Name (Bin+ Source No.+ Cut) (see above)

------------------------
See Also: Automation Basics, Log Files, Events, Voice Tracking


 Techincal Specifications: Scott

Using Scott Studios Digital Automation

For music on hard drive, you must use a "Source" of "DA". Use the "Bin" field for the Scott 3-character "category" and the "Number" field for your four digit song number on the hard drive.

For music on CD, you should use the "Source" suggested by the Scott Studios Manual (normally "CD"). Use the "Number" field for the 3-digit tray number, and the "Cut" field for the 2-digit CD cut number. You won't use "Bin" for CDs.

When Entering Program Events:
The code for soft-sync is normally "*"; hard-sync is normally "#". There are other rarely used codes that may also be applicable.

Scott studios uses the "Ending" field for "Memo Events" and "Invisible Events". Normally a memo event uses an M in Ending. Use I for invisible events. A Memo Event is an item that contains no actual audio, but serves only as a reminder to your jocks, or executes an automation command (like a Sync). For example, your stop set is scheduled at 20:00. You could schedule a memo-only event at 19:50 which is marked as Soft Sync. As soon as the song playing at 19:50 completes, the system would skip anything else scheduled ahead of the memo-only event and jump to the stop set on (or nearly on) time.

Additional Information:

1) The "Label" field. A few seldom used DSS features (for stations playing music on CD) need some information not readily defined in MusicMix. You may use the Label area to provide the data needed.
There are 14 characters in the Label field, Here's how they will be sent to DSS:

Character(s): Used for:
1-5 --Not Used--
6-7 Block Time for CD Length (01-75)...
Put Minutes and Seconds in Time as usual.
8-11 Cue In on CD (SSBB) where SS is seconds and BB is Blocks
12-14 CD Speed (as a percent i.e. 102)

2) Voice Tracking. You must use a source of "VO", "TO", or "J_" (J and any second character) for voice tracking intros and outros of specific titles. Leave "Bin" and "Number" blank. You must create 7 categories in the Production Bank -- one for each day -- using the following names: VMO, VTU, VWE, VTH, VFR, VSA, and VSU (MO being Monday, TU Tuesday, etc.) MusicMix will assign tracks to the appropriate category depending on your playlist date. This allows you to create tracks up to a week in advance.

Voice tracks must be recorded in the appropriate category using a four digit number for each track which corresponds to the time scheduled on your playlist (in military time). (i.e. a voice track scheduled at 11:04 AM would be entered in the production bank as 1104. Enter 2318 for 11:18 PM).

Notice that you should use voice tracks this way (blank bin and number 0) only when you want different liners at specific times during the hour. If you want simply rotating liners, I.D.s, or sweepers, rather than using voice tracks, use a program event with a normal bin and number assignment.

The above information is designed to allow MusicMix to create voice track numbering. Scott Studios also will create its own numbering using its voice racker technology. To allow the Scott system to handle the process, use "J" type voice tracks on your format clocks. The J codes link to adjacent events on your clock. JU= links up, JD links down, JN loinks neither, JB links both. Use one of those J codes as your Event Code in MusicMix, and enter VTK in the musicmix bin.

Technical Information:

1) The daily playlists are output to the user selected path as "YYMMDD.ASC". They are erased after 14 days.

2) The library file is output as "LIBRARY.ASC" to the same path.

3) Both files are standard ASCII comma delimited text files.

Log File Structure:
1) Scheduled time as HH:MM:SS in military time where SS is always 00.

2) Single character for Sync

3) Category (Bin). If Bin is blank, Source is "VO" or "TO" and Number is 0, then category is VMO, VTU, etc. for voice tracking -see above-)

4) Cart Number.
If Source is "DA", output as "DAnnnn" where nnnn is Number field left padded with zeros.
If Source is "VO" or "TO" and the "Bin" is blank and "Number" is 0, Number will be "VOnnnn" where nnnn is the four digits of the TIME scheduled (i.e. "VO2324" for a voice track scheduled at ll:24 PM)

If Source is "K_" it’s "SSNNCC" where SS is "Source," NN is two digits of "Number" and CC is two digits from "Cut."

Otherwise, it's "SSNNNCC" where SS is "Source", NNN is 3 digits from Number left padded with zeros, and CC is 2 digits from "Cut" left padded with zeros (i.e. "CD99988")

5) Title

6) Artist

7) Length mM:SS:BK where m is always blank, M:SS is from "Time" field, BK is 6th and 7th characters in Label.

8) Intro "NN"

9) Ending "C"

10) Year ("20" and final two characters from Date)

11) Info/Trivia

12) Rotation (1 character)

13) Cue In "SS:BK" where SS is 8th and 9th characters from Label and BK is 10th and 11th.

14) (empty)

15) Speed. Characters 12-14 in Label.

16) Link. "v" if Rotation Field is "[, {, or ("; "^" if Rotation Field is "], }, or )" (voice track symbols)

17) Playlist Date as "MM/DD/YY"

Library File Structure:
Essentially the same except items 1, 16 and 17 are empty.

------------------------
See Also: Automation Basics, Log Files, Events, Voice Tracking


Technical Specifications: Smartcaster

Using Smarts Smartcaster Digital Automation

Technical Information:

1) The daily playlists are output to the user selected path as "yymmdd.ASC" where "yymmdd" is year, month, and date of the playlist. They are erased after 14 days.

2) The library file is output as "LIBRARY.ASC" to the same path.

3) Both files are standard ASCII Standard Data Format text files with one record per line. Records are delimited by CR/LF, fields are not delimited.
4) We suggest that for "Break Markers" you create an event with Specific Item filled in as "Break Marker." Source and Number should be left blank. You may fill in a length for the break in the Length field if you wish. You could create several break marker events (B1, B2, B3 perhaps) with different lengths.

Log File Structure:

HH:MM:SSMnnnnTitleArtistRoTime

Where:
HH:MM:SS is 24 hour military time separated by colons
M is Source (Must be entered in music inventory as "M" -- only first character is used --)
nnnn is source number entered in music inventory
Title is 30 characters
Artist is 25 characters
Ro is Rotation Code
Time is length from music inventory as MM:SS

------------------------
See Also: Automation Basics, Log Files, Events


Technical Specifications: Wire Ready

Using Wire Ready Digital Automation Systems

The playlist log file format is a non-delimited ASC file named with the date of the schedule and the extension ASC (yymmdd.ASC; ex: 961216.ASC). The file contents are as follows:

Columns 1- 8 Military Air-Time hh:mm:ss
Columns 9- 23 ID Number ccccccccccccccc

In addition to supporting Music and Program Events, MusicMix supports voice tracking.
To use voice tracks…
1) Create an event with a Source of VO or TO or J_
(Voice-Over; Talk-Over, Jock [ _ may be any character] )
2) Add the Voice-track Event in format clocks where you want intros, outros, any voice work.

MusicMix will assign an ID number to each voice track as it generates the schedule. The number will consist of the first two characters of the day of the week for the playlist (MO, TU, WE etc.) and the air-time in military format. (i.e. SU1321 for 1:21 PM on Sunday). This enables you to record voice tracks up to a week in advance. If you’d like to record up to a month in advance, set "Use Day of Month Voice Track Categories" to Y (for Yes) in Utilities/System Parameters and the number becomes the day-of-month and the air-time (i.e. 090121 for 1:21 AM on the ninth of the month).

------------------------
See Also: Automation Basics, Log Files, Events, Voice Tracking


 Tech Specs: Wizard

Using Profit "Wizard" Digital Automation

The MusicMix log output file is formatted exactly like the "Selector/MusicMaster-New" interface file structure used by Wizard. Thus, in the Wizard, you'll choose "Selector" as your music scheduler type.

Wizard documentation mentions several "Special Load Options." You may utilize these options in MusicMix by create an event using the "Type" required in the Event's Sync and Link fields (see specs below), and the preset description names in the Event's "Specific Item" field..

Log File Name:

The daily playlists are output to the user selected path as "yymmdd.ASC" where "yymmdd" is year, month, and date of the playlist. You'll need to set this up as a "Custom Filename" in Wizard.

Technical Information:

Column

Description
1-2 | Record Type. 03=Song, 04=Events, 08= Spot Block Marker, 09= Comment. Songs are automatically 03. Events are automatically 04 unless 08 or 09 are entered in events as Sync + Link. (Example: For a spot block marker, create an event in MusicMix and enter "0" in Sync and "8" in Link.)
3 | Blank.
4-11 | Event or Song Number. The number consists of non-blank characters in the MusicMix Source, Number, and Cut fields. (Bin is not used for Wizard). Since this column is 8 characters, it will be left padded with zeroes. (Example: Your song's Wizard ID number is 12345. You enter "1" in Source, and "2345" in number. MusicMix places "00012345" in this column.)
12 | Blank.
13-36 | Description. The title of a song, or the specific item name of an event.
37 | Blank
38-41 | Duration in seconds.
42 | Blank.
43 | Playlist Day of Week. (1= Sunday, 7= Saturday)
44 | Blank.
45-46 | Playlist Date Month. (01-12)
47 | Blank.
48-49 | Playlist Date Day of Month. (01-31)
50 | Blank.
51-52 | Playlist Date Year. (00-99)
53 | Blank.
54-55 | Playlist Hour. (00-23)
56 | Blank.
57-58 | Playlist Minute. (00-59)
59 | Blank.
60-61 | Playlist Second. (00-59)


Tips and Techniques

Once you've become proficient at using MusicMix, you may want to look at these sometimes forgotten features that will allow you to do even more with the software. These are interesting techniques that aren't used every day, so you may not be as aware of them...

Dayparting Scheduling Rules:

It is possible to apply scheduling rules only on those days and in those hours that you choose. Create different Tempo rules for day and night, or different Style restrictions during the week than on weekends. Change rules to match special programming. (see Scheduling Rules)

Title-Matched Voice Tracks:

Create a master set of intros or outros for your music (or for certain rotation categories), and use them over and over. Schedule a title matched voice track event on your format clock, and MusicMix finds the voice track by the correct announcer for that time slot introing or outroing the correct title that MusicMix schedules. (see Voice Tracking)

Edit Playlists:

The MusicMix playlist editor deserves a look even for stations that normally use the playlist that MusicMix creates without daily editing. The editor is so loaded with features, you may find it useful for occassional "tweaks" of your music. After creating a schedule, you can fine-tune the playlist by replacing titles, flipping (swapping) the positions of any two titles, move a title to a different place in the schedule, and add or delete titles from the schedule. You can view the playlist in several sort-orders to assist with determining what is scheduled to play when. Full title edit is available for each song or event scheduled. (see Edit Playlist)

"What-If" Rotation Testing:

If a music category is rotating too quickly or too slowly, it is generally because either too many or too few titles belong to the rotation category, or too many or too few occurances of that category appear on format clocks. To find out what changes would make the titles rotate the way you want them to, use "what-if" testing on the Rotations screen. For each rotation category, you can enter "what-if" values for:
>> The number of titles you would like to place in a category,
>> The number of times you would like to play a category on your format clocks, or
>> How quickly you would like to see titles in a rotation category repeat.
MusicMix will fill in the blanks for you and tell you how you would have to change the library or the clocks to achieve the targets you enter. (see Rotations)

Help:

You're looking at one of Muscmix's most useful features! This help system includes the complete manual for MusicMix always at your fingertips, and gives you context sensitive assistance every time you press F1. (If you find yourself a little lost at any time when using the software, don't forget to try pressing F1.) Be sure to read the "Using Help" topic to learn about all of the quick ways to find what you need in Help. (see Using Help)

Multiple Attribute Forcing:

You may force more than just one attribute on your format clocks. Instead of just forcing "up or medium tempo" at the top of the hour, force "up or medium tempo by a superstar type artist."

A little note of caution... forcing is the quickest way we know to cause your library to rotate unevenly. (Obviously, forcing up-tempos all over the place means your slow and medium tempos won't play as often). With multiple-forces, you now have the ability to really speed up those titles that match the forced characteristics. (see Format Clocks)

Event/Music Matching:

You can enter attribute characteristics or "Add'l Info" on the events screen and then match those characteristics with the following songs on the format clocks. (Enter {=} in the "Force" box for the attribute you want to match, or click the "Match Add'l Information" checkbox). MusicMix will match the characteristic you designate with the same attribute or information in the following slot on the clock.

An obvious use is to code jingles by tempo. On the format clock when you schedule the jingle, enter an "=" in the tempo force box. When MusicMix schedules, it will look at the song following the jingle, then match the jingle's tempo to that song's tempo.

You could code liners with specific references... "Here's another great surfin' oldie...", "Here's another summer-fun oldie...", "Now another song of praise..." attribute matched to music styles "Surf", "Summer" and "Praise." (see Format Clocks)

Duplicate Title Protection:

MusicMix checks for other instances of the same title by different artists (just as it always checks for separation of the same artist). This is especially useful at Christmas time when you may have several version of the same title rotating.

Remember that MusicMix is exacting when it looks for duplicates. For the same title to be protected it must really be the SAME... right down to spelling, commas and apostrophes. (see Scheduling Rules)

Individual Rotation Time-Jog Settings

"Time jogging" titles is how MusicMix works to evenly move a title around the clock as it is scheduled in subsequent plays. The cost of doing that is that time jogging can slow down scheduling. (In fact, because of that, some stations with older computers asked us for the option to turn it off, which we provided in System Parameters). Now you can tell MusicMix how important time-jogging is to you for each rotation category. It's likely that titles in limited rotations (like currents) are played so much that they'll show up around the clock just by the way they schedule... but time jogging becomes more important in those large, slowly-rotating categories. If you only play a song once every 11 days, you want to be sure it doesn't come up at Noon every time it plays. (see Rotations)

We hope you enjoy the depth of features in MusicMix and that you'll let us know your desires for on-going improvements!


Troubleshooting

In the event of a system error, be sure to write down the error message before proceeding. We can better help you solve your problem if you know precisely what happened when the error occurred.

Very often, the problem can be resolved by exiting the system, then restarting MusicMix. In this event you should select Rebuild Databases under Utilities on the main menu. This causes the system to recover, repair and compact files. Sometimes --especially if the problem has to do with system memory or network issues-- restarting the computer before re-starting MusicMix helps.

Technical Support...

For technical support, call Carter Consulting, (719) 545-8202.

You'll receive free technical support for 60 days after purchase of your system. After that, your station may purchase an annual support contract which includes continued unlimited telephone help and all updates to the program. If your station elects not to purchase the support contract, you'll be billed individually for technical support calls.